.\" bm# 0000002253
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)get.CP	1.1);


.ds mc 
.ds rv Revision 1
.ds f. get.tbl
'\" t
.tr ~
.nr f 0
.de SP
.if n .ul
\%[\fB\-\\$1\fR\\c
.if n .ul 0
\\$2\\$3
..
.de SF
.if n .ul
\%[\fB\-\\$1\fR]
.if n .ul 0
..
.ds M)  \fB\s-1MR\s+1\fR
.ds R)  \fB\s-1RELEASE NUMBER\s+1\fR
.ds S)  \s-1SCCS\s+1
.ds I)  \s-1SID\s+1
.TH GET CP
.SH Name
get \- Gets a version of an \s-1SCCS\s+1 file.
.SH Syntax
.B get
.SP r SID ]
.SP c cutoff ]
.SP i list ]
.SP x list ]
.SP a seq-no. ]
.SF k
.SF e
.RB [ \-l [p]]
.SF p
.SF m
.SF n
.SF s
.SF b
.SF g
.SF t
file
.B ".\|.\|."
.SH Description
.I Get\^
generates an \s-1ASCII\s+1 text file from
each named \*(S) file according to the specifications given
by its options,
which begin with \fB\-\fR.
The arguments
may be specified in any order,
but all options apply to all named \*(S) files.
If a directory is named,
.I get\^
behaves as though each file in the directory were
specified as a named file,
except that non\*(S) files
(last component of the pathname does not begin with
.BR s. )
and unreadable files
are silently ignored.
If a name of \fB\-\fR is given, the standard input is read;
each line of the standard input is taken to be the name of an \*(S) file
to be processed.
Again, non\*(S) files and unreadable files are silently ignored.
.PP
The generated text is normally written into a file called the
.I g-file\^
whose name is derived from the \*(S) filename by simply
removing the leading
.BR s. ;
(see also \fI\s-1FILES\s+1\fP\^, below).
.PP
Each of the options is explained below
as though only one \*(S) file is to be processed,
but the effects of any option apply independently to
each named file.
.TP "\w'\fB\-a\fIseq-no.\fR~~'u"
.BI \-r SID\^
The
.IR S "\s-1CCS\s+1 " ID entification
string (\*(I)) of the version (delta)
of an \*(S) file to be retrieved.
.TP
.BI \-c cutoff\^
\fICutoff\fR
date-time,
in the form:
.IP
	\s-1YY[MM[DD[HH[MM[SS]]]]]\s+1
.IP
No changes (deltas) to the \*(S) file that were created after
the specified \fIcutoff\fR date-time are included in the generated
\s-1ASCII\s+1 text file.
Units omitted from the date-time default
to their maximum possible values;
that is,
.B \-c7502
is equivalent to
.BR \-c750228235959 .
Any number of nonnumeric characters may separate
the various 2 digit pieces of the \fIcutoff\fR date-time.
This feature allows you to specify a \fIcutoff\fR date in the form:
``\-c77/2/2 9:22:25''.
.TP
.B \-e
Indicates
that the
.I get\^
is for the purpose of editing or making a change
(delta) to the \*(S) file via a subsequent use of
.IR delta (CP).
The
.B \-e
option used in a
.I get\^
for a particular version (\*(I)) of the \*(S) file prevents
further
.I get\c\^
s for editing on the same \*(I) until
.I delta\^
is executed or the
.B j
(joint edit) flag is set in the \*(S) file
(see
.IR admin (CP)).
Concurrent use of
.B "get \-e"
for different \*(I)s is always allowed.
.IP
If the
.I g-file\^
generated by
.I get\^
with an
.B \-e
option is accidentally ruined in the editing
process, 
it may be regenerated by reexecuting the
.I get\^
command with the
.B \-k
option
in place of the \fB\-e\fP option.
.IP
.SM SCCS
file protection specified via the
ceiling, floor, and authorized user list
stored in the \*(S) file
(see
.IR admin (CP))
are enforced when the
.B \-e
option is used.
.TP
.B \-b
Used
with the
.B \-e
option to indicate that the new delta should have an \*(I) 
in a new branch.
This option is ignored if the
.B b
flag is not present in the file
(see
.IR admin (CP))
or if the retrieved
.I delta\^
is not a leaf
.IR delta .
(A leaf
.I delta\^
is one that has no successors on
the \*(S) file tree.)
.sp
Note: A branch
.I delta\^
may always be created from a nonleaf
.IR delta .
.TP
.BI \-i list\^
A
\fIlist\fR of deltas to be included
(forced to be applied)
in the creation of the generated file.
The \fIlist\fR has the following syntax:
.IP
	<list> ::= <range> \(or <list> , <range>
.br
	<range> ::= \*(I) \(or \*(I) \- \*(I)
.IP
\*(I), the \*(S) Identification of a delta, may
be in any form described in Chapter 5, ``SCCS: A
Source Code Control System,'' in the 
.SM XENIX
.IR "Programmer's Guide" . 
.TP
.BI \-x list\^
A
\fIlist\fR of deltas to be excluded
(forced not to be applied)
in the creation of the generated file.
See the
.B \-i
option for the \fIlist\fR format.
.TP
.B \-k
Suppresses
replacement of identification keywords
(see below)
in the retrieved text
by their value.
The
.B \-k
option
is implied by the
.B \-e
option.
.TP
.BR \-l [ p ]
Causes
a delta
summary to be written into an
.IR l-file .
If
.B \-lp
is used
then an
.I l-file\^
is not created;
the delta summary is written on the standard output instead.
See \fI\s-1FILES\s+1\fP for the format of the
.IR l-file .
.TP
.B \-p
Causes
the text retrieved
from the \*(S) file to
be written on the standard output.
No
.I g-file\^
is created.
All output that normally goes to the standard output
goes to file descriptor 2 instead,
unless the
.B \-s
option is used,
in which case it disappears.
.TP
.B \-s
Suppresses
all output normally written on the
standard output.
However,
fatal error messages (which always go to file descriptor
2) remain unaffected.
.TP
.B \-m
Causes
each text line retrieved from the \*(S) file
to be preceded by the
\*(I)
of the delta that inserted the text line in the \*(S) file.
The format is:
\*(I),
followed by a horizontal tab, followed by the text line.
.TP
.B \-n
Causes
each generated text line to be preceded with the
get.CP identification keyword value
(see below).
The format is:
get.CP value,
followed by a horizontal tab,
followed by the text line.
When both the
.B \-m
and
.B \-n
options are used,
the format is:
get.CP value,
followed by a horizontal tab,
followed by the
.B \-m
option generated format.
.TP
.B \-g
Suppresses
the actual retrieval of text from the \*(S) file.
It is primarily used to generate an
.IR l-file ,
or to verify the existence of a particular \*(I).
.TP
.B \-t
Used
to access the most recently created
(top)
delta in a given release
(e.g.,
.BR \-r1 ),
or
release and level
(e.g.,
.BR \-r1.2 ).
.TP
.BI \-a "seq-no."
The
delta sequence number of the \*(S) file delta (version) to be retrieved
(see
.I sccsfile\c\^
(F)).
This option is used by the
.IR comb (CP)
command;
it is not particularly useful
should be avoided.
If both the
.B \-r
and
.B \-a
options are specified,
the
.B \-a
option is used.
Care should be taken when using the
.B \-a
option in conjunction with the
.B \-e
option,
as the \*(I) of the delta to be created
may not be what you expect.
The
.B \-r
option can be used with the
.B \-a
and
.B \-e
options to control the naming of the \*(I) of the delta to
be created.
.i0
.PP
For each file processed,
.I get\^
responds (on the standard output) with the
\*(I)
being accessed and
with the number of lines retrieved from the \*(S) file.
.PP
If the
.B \-e
option is used, the
\*(I)
of the delta to be made appears
after the
\*(I)
accessed and before the number of lines generated.
If there is more than one named file
or if a directory or standard input is named,
each filename is printed
(preceded by a newline)
before it is processed.
If the
.B \-i
option is used included deltas are listed following the
notation ``Included'';
if the
.B \-x
option is used, excluded deltas are listed following the
notation ``Excluded''.
.SH Identification Keywords
Identifying information
is inserted into the text retrieved from the \*(S) file by replacing
.I "identification keywords\^"
with their value wherever they occur.
The following keywords may be used in the text stored in an \*(S) file:
.br
.ne 5v
.PP
.PD 0
.TP "\w'Keyword~~~'u"
.B Keyword
.B Value
.TP
.B get.CP
Module name:
either the value of the
.B m
flag in the file
(see
.IR admin (CP)),
or if absent,
the name of the \*(S) file with the
leading
.B s.
removed.
.TP
.B 1.1
\*(S) identification (\*(I)) (1.1.0.0) of the retrieved text.
.TP
.B 1
Release.
.TP
.B 1
Level.
.TP
.B 0
Branch.
.TP
.B 0
Sequence.
.TP
.B 84/10/08
Current date (\s-1YY/MM/DD\s+1).
.TP
.B 10/8/84
Current date (\s-1MM/DD/YY\s+1).
.TP
.B 22:54:23
Current time (\s-1HH:MM:SS\s+1).
.TP
.B 84/06/07
Date newest applied delta was created (\s-1YY/MM/DD\s+1).
.TP
.B 6/7/84
Date newest applied delta was created (\s-1MM/DD/YY\s+1).
.TP
.B 09:38:23
Time newest applied delta was created (\s-1HH:MM:SS\s+1).
.TP
.B 
Module type:
value of the
.B t
flag in the \*(S) file
(see
.IR admin (CP)).
.TP
.B /base/b/doc/man/manCP/s.get.CP
\*(S) filename.
.TP
