.\" bm# 0000002251
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)hdr.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH HDR CP
.SH Name
hdr \- Displays selected parts of object files.
.SH Syntax
.B hdr
[ 
\-dhprsSt
] file ...
.SH Description
.I Hdr
displays object file headers, symbol tables,
and text or data relocation records in human-readable formats.
It also prints out seek positions for the various
segments in the object file.
.PP
.BR A.out ,
.BR x.out ,
and
.B x.out 
segmented formats and archives are understood.
.PP
The symbol table format consists of six fields.
In
.B a.out
formats
the third field is missing.
The first field is the symbol's index or position
in the symbol table, printed in decimal.
The index of the first entry is zero.
The second field is the type, printed in hexadecimal.
The third field is the
.B s_seg
field, printed in hexadecimal.
The fourth field is the symbol's value in hexadecimal.
The fifth field is a single character
which represents the symbol's type as in
.IR nm (CP),
except 
.B C
common is not recognized as a special case of undefined.
The last field is the symbol name.
.PP
If long form relocation is present, the format consists of six fields.
The first is the descriptor, printed in hexadecimal.
The second is the symbol 
.SM ID, 
or index, in decimal.
This field is used for external relocations as an index
into the symbol table.
It should reference an undefined symbol table entry.
The third field is the position, or offset, within the
current segment at which relocation is to take place;
it is printed in hexadecimal.
The fourth field is the name of the segment referenced
in the relocation: text, data, bss or EXT for external.
The fifth field is the size of relocation:
byte, word (2 bytes), or long.
The last field will indicate, if present,
that the relocation is relative.
.PP
If short form relocation is present, the format consist of three fields.
The first field is the relocation command in hexadecimal.
the second field contains the name of the segment referenced;
text or data.
The last field indicates the size of relocation:
word or long.
.PP
Options and their meanings are:
.TP
.B \-h
Causes the object file header and extended header to be printed out.
Each field in the header or extended header is labeled.
This is the default option.
.TP
.B \-d
Causes the data relocation records to be printed out.
.TP
.B \-t
Causes the text relocation records to be printed out.
.TP
.B \-r
Causes both text and data relocation to be printed.
.TP
.B \-p
Causes seek positions to be printed out as defined
by macros in the include file,
.BR <a.out.h> .
.TP
.B \-s
Prints the symbol table.
.TP 
.B \-S
Prints the file segment table with a header.  (Only
applicable to 
.B x.out
segmented executable files.)
.PP
.SH "See Also"
a.out(F), nm(CP)
