.\" bm# 0000002273
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)val.CP	1.1);


.ds mc 
.ds rv Revision 1
.nr f 0
.bd S B 3
.de SP
.if n .ul
\%[\fB\-\\$1\fR\\c
.if n .ul 0
\\$2\\$3
..
.de SF
.if n .ul
\%[\fB\-\\$1\fR]
.if n .ul 0
..
.de ZZ
.hc ^
\fB^...\fR
.hc
..
.de AR
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
'\".RS 5
.TP 15
\fB\-\\$1\\fR
\\$2 \\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de C1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 5
.TP 15
\\$1
\\$2 \\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de A1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 5
.TP 15
\fB\-\\$1\fR[\fI\\$2\fR]
\\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de A2
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 5
.TP 15
\fB\-\\$1\fI\\$2\fR
\\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de FI
.PP
.TP 30
\\$1
\\$2
.i0
..
.ds F)  \fB\s-1FILES\s0\fR
.ds W)  Warning
.ds X)  Examples
.ds T)  \fB\s-1TABLE\s0\fR
.ds K)  \fB\s-1DATA KEYWORDS\s0\fR
.ds D)  \fB\s-1DDDDD\s0\fR
.ds M)  \fB\s-1MR\s0\fR
.ds R)  \fB\s-1RELEASE NUMBER\s0\fR
.ds S)  \s-1SCCS\s0
.ds I)  \fI\s-1SID\s0\fR
.de F1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 13
.TP 7
\fB\\$1\fI\\$2\fR
\\$3
.nr f 1
..
.de F2
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 13
.TP 7
\fB\\$1[\fI\\$2\fR]
\\$3
.nr f 1
..
.if t .ds )S \\|
.TH VAL CP
.SH Name
val \- Validates an \s-1SCCS\s0 file.
.SH Syntax
\fBval \-\fR
.sp 10p
.B val
.SF s
.SP r \s-1SID\s0 ]
.SP m name ]
.SP y type ]
files
.SH Description
.I Val\^
determines if the specified
.I file\^
is an \*(S) file meeting the characteristics specified by the optional
argument list.
Arguments to
.I val\^
may appear in any order.
The arguments consist of options, which begin with a \fB\-\fR, and
named files.
.PP
.I Val\^
has a special argument, \fB\-\fR, which causes reading of the standard input
until an end-of-file condition is detected.
Each line read is independently processed as if it were a command line argument
list.
.PP
.I Val\^
generates diagnostic messages on the standard output for each command line
and file processed and also returns a single 8\fB-\fRbit code upon exit as
described below.
.PP
The options are defined as follows.
The effects of any option apply independently to each named file
on the command line:
.AR s The
presence of this argument silences the 
diagnostic message normally
generated on the standard output for any error 
that is detected while processing each named file on
a given command line.
.AR r\fI\s-1SID\s0\fP The
argument value
\*(I)
.RI ( S \s-1CCS\s+1 " ID" entification
String) is an \*(S) delta number.
A check is made to determine if the
\*(I)
is ambiguous (e. g.,
.B \*-r\c
1 is ambiguous because it physically does not exist but implies 1.1, 1.2,
etc. which may exist) or invalid (e. g.,
.B \*-r\c
1.0 or
.B \*-r\c
1.1.0 are invalid because neither case can exist as a valid delta number).
If the
\*(I)
is valid and not ambiguous, a check is made
to determine if it actually exists.
.AR m\fIname\fP The
argument value
.I name\^
is compared with the \*(S) val.CP keyword in
.IR file .
.AR y\fItype\fP The
argument value
.I type\^
is compared with the \*(S)  keyword in
.IR file .
.RE
.PP
.ne 1i
The 8\fB-\fRbit code returned by
.I val\^
is a disjunction of the possible errors, i.\ e., can be interpreted as
a bit string where (moving from left to right) set bits are interpreted as follows:
.nf
.PP
bit 0 = Missing file argument
.sp 10p
bit 1 = Unknown or duplicate option
.sp 10p
bit 2 = Corrupted \*(S) file
.sp 10p
bit 3 = Can't open file or file not \*(S)
.sp 10p
bit 4 = \*(I) is invalid or ambiguous
.sp 10p
bit 5 = \*(I) does not exist
.sp 10p
bit 6 = , \fB\-y\fR mismatch
.sp 10p
bit 7 = val.CP, \fB\-m\fR mismatch
.fi
.PP
Note that
.I val\^
can process two or more files on a given command line and in turn can
process multiple command line (when reading the standard input).
In these cases an aggregate code is returned; a 
logical \s-1OR\s0 of the
codes generated for each command line and file processed.
.SH "See Also"
admin(CP),
delta(CP),
get(CP),
prs(CP)
.SH Diagnostics
Use
.IR help (CP)
for explanations.
.SH Notes
.I Val\^
can process up to 50 files on a single command line.
'\"Any number above 50 will produce a core dump.
