.\" bm# 0000002061
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)acct.F	1.1);


.ds mc 
.ds rv Revision 1
.TH ACCT F
.SH Name
acct \- Format of per-process accounting file.
.SH Description
Files produced as a result of calling
.IR acct (S)
have records in the form defined by
.BR <sys/acct.h>.
.PP
In
.IR ac_flag ,
the
.SM AFORK
flag is turned on by each
.IR fork (S)
and turned off by an
.IR exec (S).
The
.I ac_comm\^
field is inherited from the parent process and
is reset by any
.IR exec .
Each time the system charges the process with a clock tick,
it also 
adds the current process size to
.I ac_mem\^
computed as follows:
.IP
(data size) + (text size) / (number of in-core processes using text)
.PP
The value of
.I ac_mem\^/\^ac_stime\^
can be viewed as an approximation to the
mean process size, as modified by text-sharing.
.SH "See Also"
acct(C),
acctcom(C),
acct(S)
.SH Notes
The
.I ac_mem\^
value for a short-lived command gives little information about
the actual size of the command,
because
.I ac_mem\^
may be incremented while a different command
(e.g., the shell)
is being executed by the process.
