.\" bm# 0000002058
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)core.F	1.1);


.ds mc 
.ds rv Revision 1
.TH CORE F
.SH Name
core \- Format of core image file.
.SH Description
.SM XENIX
writes out a core image of a terminated
process when any of various errors occur.
See
.IR signal (S)
for the list of reasons;
the most common are memory violations, illegal
instructions, bus errors, and user-generated
quit signals.
The core image is called
.B core
and is written in the process'
working directory (provided it can be;
normal access controls apply).
A process with an effective user
.SM ID
different from the real user
.SM ID
will not produce a core image.
.PP
The first section of the core image
is a copy of the system's per-user
data for the process, including the registers
as they were at the time of the fault.
The size of this section depends on the parameter
.IR usize ,
which is defined in
.BR /usr/include/sys/param.h .
The
remainder represents the actual contents of
the user's core area when the core image
was written.
If the text segment is read-only and shared,
or separated from data space, it is not dumped.
.PP
The format of the
information in the first section
is described by
the
.I user\^
structure of the system,
defined in
.BR /usr/include/sys/user.h .
The locations of registers,
are outlined in
.BR /usr/include/sys/reg.h .
.SH "See Also"
adb(CP),
setuid(S),
signal(S)
