.\" bm# 0000002057
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)cpio.F	1.1);


.ds mc 
.ds rv Revision 1
.TH CPIO F
.SH Name
cpio \- Format of cpio archive.
.SH Description
.PP
The
.I header\^
structure, when the
.B c
option is not used, is:
.sp
.nf
struct {
	short	h_magic,
		h_dev,
		h_ino,
		h_mode,
		h_uid,
		h_gid,
		h_nlink,
		h_rdev,
		h_mtime[2],
		h_namesize,
		h_filesize[2];
	char	h_name[h_namesize rounded to word];
} Hdr;
.fi
.PP
When the
.B c
option is used, the
.I header\^
information is described by the statement below:
.sp 1
.nf
sscanf(Chdr,"%6o%6o%6o%6o%6o%6o%6o%6o%11lo%6o%6o%s",
	&Hdr.h_magic,&Hdr.h_dev,&Hdr.h_ino,&Hdr.h_mode,
	&Hdr.h_uid,&Hdr.h_gid,&Hdr.h_nlink,&Hdr.h_rdev,
	&Longtime,&Hdr.h_namesize,&Longfile,Hdr.h_name);
.fi
.PP
.I Longtime\^
and
.I Longfile\^
are equivalent to
.I Hdr.h_mtime\^
and
.IR Hdr.h_filesize ,
respectively.
The
contents
of each file is recorded in an element
of the array of varying length structures,
.IR archive ,
together with other items describing the file.
Every instance of 
.I h_magic\^
contains the constant 070707 (octal).
The items
.I h_dev\^
through 
.I h_mtime\^
have meanings explained in
.IR  stat (S).
The length of the null-terminated pathname
.IR h_name ,
including the null byte,
is given by
.IR h_namesize .
.PP
The last record
of the
.I archive\^
always contains the name \s-1TRAILER!!!\s0.
Special files, directories, and the trailer are recorded
with 
.I
h_filesize
equal to zero.
.SH "See Also"
cpio(C), find(C), stat(S)
