.\" bm# 0000002055
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)dump.F	1.1);


.ds mc 
.ds rv Revision 1
.TH DUMP F 
.SH Name
dump \- Incremental dump tape format.
.SH Description
The
.I dump\^
and
.I restor\^
commands are used to write
and read incremental dump magnetic tapes.
.PP
The dump tape consists of
a header record, some bit mask records,
a group of records describing file system directories,
a group of records describing file system files, and some
records describing a second bit mask.
.PP
The header record and the first record of each description
have the format described by the structure included by:
.PP
.RS 13
#include <dumprestor.h>
.RE
.PP
Fields in the 
.I dumprestor
structure are described below.
.PP
.SM
NTREC\^
is the number of 512 byte blocks in a physical
tape record.
.SM
MLEN\^
is the number of bits in a bit map word.
.SM
MSIZ\^
is the number of bit map words.
.PP
The
.SM
TS_\^
entries are used in the
.I c_type\^
field to indicate what sort of header
this is.
The types and their meanings are as follows:
.ne 4
.TP 13
.SM TS_TYPE
Tape volume label.
.TP
.SM TS_INODE
A file or directory follows. The
.I c_dinode\^
field is a copy of the disk inode and contains
bits telling what sort of file this is.
.TP
.SM TS_BITS
A bit mask follows. This bit mask has a one bit
for each inode that was dumped.
.TP
.SM TS_ADDR
A subblock to a file
.RI ( \s-1TS_INODE\s0 ).
See the description of 
.I c_count\^
below.
.TP
.SM TS_END
End of tape record.
.TP
.SM TS_CLRI
A bit mask follows. This bit mask contains a one bit for
all inodes that were empty on the file system when dumped.
.TP
.SM MAGIC
All header blocks have this number in
.IR c_magic .
.TP
.SM CHECKSUM
Header blocks checksum to this value.
.PP
.ne 1i
The fields of the header structure are as follows:
.TP 13
.B c_type
The type of the header.
.TP
.B c_date
The date the dump was taken.
.TP
.B c_ddate
The date the file system was dumped from.
.TP
.B c_volume
The current volume number of the dump.
.TP
.B c_tapea
The current block number of this record. This
is counting 512 byte blocks.
.TP
.B c_inumber
The number of the inode being dumped if this
is of type
.SM 
TS_INODE.
.TP
.B c_magic
This contains the value
.SM
MAGIC\^
above, truncated as needed.
.TP
.B c_checksum
This contains whatever value is needed to
make the block sum to 
.SM
CHECKSUM.
.TP
.B c_dinode
This is a copy of the inode as it appears on the
file system.
.TP
.B c_count
This is the count of characters following that describe the file.
A character is zero if the block associated with that character was not
present on the file system, otherwise the character is nonzero.
If the block was not present on the file system no block was dumped
and it is replaced as a hole in the file.
If there is not sufficient space in this block to describe
all of the blocks in a file,
.SM
TS_ADDR
blocks will be scattered through the file, each one
picking up where the last left off.
.TP
.B c_addr
This is the array of characters that is used as described above.
.PP
Each volume except the last ends with a tapemark (read as an end
of file). The last volume ends with a
.SM
TS_END
block and then the tapemark.
.PP
The structure
.B idates
describes an entry of the file where dump history is kept.
.SH "See Also"
dump(C), restor(C), filesystem(F)
