.\" bm# 0000002052
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)master.F	1.1);


.ds mc 
.ds rv Revision 1
.TH MASTER F
.SH Name
master \- master device information table
.SH Description
This file is used by the
.IR config (CP)
program to obtain device information that enables
it to generate the configuration files.
The file consists of 4 parts, each separated by a line with
a dollar sign
.RB ( $ )
in column 1.
Part 1 contains device information; part 2 contains
the line discipline table; part 3 contains
names of devices that have aliases;
part 4 contains tunable parameter information.
Any line with an asterisk
.RB ( \(** )
in column 1 is treated as a comment.
.PP
Part 1 contains lines consisting of 14 fields
with the fields delimited by tabs and/or blanks:
.PP
.RS
.PD 0
.TP "\w'Fields 11-14:  'u"
Field 1:
device name (8 chars. maximum).
.TP
Field 2:
interrupt vector size (decimal, in bytes).
.TP
Field 3:
device mask (octal)\-each ``on'' bit indicates that
the driver has the corresponding handler or structure:
.RS
.RS
000400  tty structure
.br
000200  stop handler
.br
000100  not used
.br
000040  not used
.br
000020  open handler
.br
000010  close handler
.br
000004  read handler
.br
000002  write handler
.br
000001  ioctl handler.
.RE
.RE
.TP
Field 4:
device type indicator (octal):
.RS
.RS
000200  allow only one of these devices
.br
000100  not used
.br
000040  not used
.br
000020  required device
.br
000010  block device
.br
000004  character device
.br
000002  not used
.br
000001  not used.
.RE
.RE
.TP
Field 5:
handler prefix (4 chars. maximum).
.TP
Field 6:
not used.
.TP
Field 7:
major device number for block-type device.
.TP
Field 8:
major device number for character-type device.
.TP
Field 9:
maximum number of devices per controller (decimal).
.TP
Field 10:
not used.
.TP
Fields 11-14:
maximum of four interrupt vector addresses.  Each address is followed by
a unique letter or a blank.
.RE
.PD
.PP
Part 2 contains lines with 11 fields each.
Each field is a maximum of 8 characters delimited by a blank if less than 8:
.PP
.RS
.PD 0
.TP
Field 1:
Device associated with this line
.TP
Field 2:
open routine
.TP
Field 3:
close routine
.TP
Field 4:
read routine
.TP
Field 5:
write routine
.TP
Field 6:
ioctl routine
.TP
Field 7:
receiver interupt routine
.TP
Field 8:
unused- should be nulldev
.TP
Field 9:
unused- should be nulldev
.TP
Field 10:
output start routine
.TP
Field 11:
unused- should be nulldev
.RE
.PD
.PP
Part 3 contains lines with 2 fields each:
.PP
.RS
.PD 0
.TP "\w'Fields 11-14:  'u"
Field 1:
alias name of device (8 chars. maximum).
.TP
Field 2:
reference name of device (8 chars. maximum;
specified in part 1).
.RE
.PD
.PP
Part 4 contains lines with 2 or 3 fields each:
.PP
.RS
.PD 0
.TP "\w'Fields 11-14:  'u"
Field 1:
parameter name (as it appears in description file; 20 chars. maximum)
.TP
Field 2:
parameter name (as it appears in the
.B c.c
file; 20 chars. maximum)
.TP
Field 3:
default parameter value (20 chars. maximum; parameter specification
is required if
this field is omitted)
.RE
.br
.ne 3v
.PD
.PP
Devices that are not interrupt-driven
have an interrupt vector size of zero.
Devices which generate interupts but are not of the standard character
or block device mold, 
should be specified with a type (field 4 in part 1)
which has neither the block nor char bits set.
.SH "See Also"
config(CP)
