.\" bm# 0000002050
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)sccsfile.F	1.1);


.ds mc 
.ds rv Revision 1
.tr ~
.bd S B 3
.ds F)  \fB\s-1FILES\s+1\fR
.ds W)  \fB\s-1WARNINGS\s+1\fR
.ds X)  \fB\s-1EXAMPLES\s+1\fR
.ds T)  \fB\s-1TABLE\s+1\fR
.ds K)  \fB\s-1DATA KEYWORDS\s+1\fR
.ds D)  \s-1DDDDD\s+1
.ds M)  \s-1MR\s+1
.ds R)  \s-1RELEASE NUMBER\s+1
.ds S)  \s-1SCCS\s+1
.ds I)  \s-1SID\s+1
.if t .ds )S \\|
.TH SCCSFILE F
.SH Name
sccsfile \- Format of an \s-1SCCS\s+1 file.
.SH Description
An \*(S) file is an \s-1ASCII\s+1 file.
It consists of six logical parts:
the
.IR checksum ,
the
.I "delta table"\^
(contains information about each delta),
.I "user names"\^
(contains login names and/or numerical group \s-1ID\s+1s of users who may add deltas),
.I flags\^
(contains definitions of internal keywords),
.I comments\^
(contains arbitrary descriptive information about the file),
and the
.I body\^
(contains the actual text lines intermixed with control lines).
Each logical part of an \*(S) file is described in detail below.
.PP
Throughout an \*(S) file there are lines which begin with the \s-1ASCII SOH\s+1
(start of heading) character (octal 001).
This character is hereafter referred to as
.I "the control character"\^
and will be represented graphically as @.
Any line described below which is not depicted as beginning with
the control character is prevented from beginning
with the control character.  Entries of the form
\*(D)
represent a five digit string
(a number between 00000 and 99999).
.PP
\fIChecksum\fR
.PP
The checksum is the first line of an \*(S) file.
The form of the line is:
.sp
.ti +5
@h\*(D)
.sp
The value of the checksum is the sum of all characters, except
those of the first line.
The @hR provides a
.I "magic number"\^
of (octal) 064001.
.PP
"\fIDelta Table\fR"
.PP
The delta table consists of a variable number of entries of the form:
.if !\ns .in +5
.if \ns .sp
.if \ns .ps -1
.nf
@s \*(D)/\*(D)/\*(D)
.if t @d <type> <\fB\s-1SCCS ID\s+1\fR>  yr/mo/da hr:mi:se  <pgmr>  \*(D)  \*(D)
.if n @d <type> <\fB\s-1SCCS ID\s+1\fR> yr/mo/da hr:mi:se <pgmr> \*(D) \*(D)
@\fBi\fR \*(D) \fB...\fR
@\fBx\fR \*(D) \fB...\fR
@\fBg\fR \*(D) \fB...\fR
@\fBm\fR <\*(M) number>
  \fB.\fR
  \fB.\fR
@\fBc\fR <comments> \fB...\fR
  \fB.\fR
  \fB.\fR
@\fBe\fR
.fi
.if !\ns .in -5
.if \ns .ps +1
.sp
.ne 1i
The first line
(@s)
contains the number of lines
inserted/deleted/unchanged respectively.
The second line
(@d)
contains the type of the delta
(currently, normal: \s-1D\s+1,
and
removed: \s-1R\s+1),
the \*(S) \s-1ID\s+1 of the delta,
the date and time of creation of the delta,
the login name corresponding to the real user \s-1ID\s+1
at the time the delta was created,
and the serial numbers of the delta and its predecessor,
respectively.
.sp
The @i, @x, and @g lines contain 
the serial numbers of deltas
included, excluded, and ignored, respectively.
These lines are optional.
.sp
The @m lines (optional) each contain one \*(M) 
number associated with the delta;
the @c lines contain comments associated with the delta.
.sp
The @e line ends the delta table entry.
.SS "\fIUser Names\fR"
The list of login names and/or numerical group \s-1ID\s+1s of users who may add deltas to
the file, separated by new-lines.
The lines containing these login names and/or numerical group \s-1ID\s+1s are surrounded
by the bracketing lines @u and @U.
An empty list allows anyone
to make a delta.
.SS \fIFlags\fR
Keywords used internally
(see
.IR admin (CP)
for more information on their use).
Each flag line takes the form:
.sp
.ti +5
@f <flag>	<optional text>
.br
.sp
The following flags are defined:
.sp
.ti +5
@f t	<type of program>
.ti +5
@f v	<program name>
.ti +5
@f i
.ti +5
@f b
.ti +5
@f m	<module name>
.ti +5
@f f	<floor>
.ti +5
@f c	<ceiling>
.ti +5
@f d	<default-sid>
.ti +5
@f n
.ti +5
@f j
.ti +5
@f l	<lock-releases>
.ti +5
@f q	<user defined>
.sp
The  
.B t
flag defines the replacement for
the \s-1\s+1 identification keyword.
The 
.B v
flag controls prompting for \*(M) numbers
in addition to comments;
if the optional text is present it defines
an \*(M) number validity checking program.
The 
.B i
flag controls the warning/error
aspect of the ``No id keywords'' message.
When the 
.B i
flag is not present,
this message is only a warning;
when the 
.B i
flag is present,
this message will cause a ``fatal'' error
(the file will not be gotten, or the delta will not be made).
When the
.B b
flag is present
the
.B \-b
option may be used with the
.I get\^
command 
to cause a branch in the delta tree.
The
.B m
flag defines the first choice
for the replacement text of 
the \s-1sccsfile.F\s+1 identification keyword.
The
.B f
flag defines the ``floor'' release;
the release below which no deltas may be added.
The
.B c
flag defines the ``ceiling'' release;
the release above which no deltas may be added.
The
.B d
flag defines the default \*(I) to be used
when none is specified on a
.I get\^
command.
The
.B n
flag causes
.I delta\^
to insert a ``null'' delta (a delta that applies
.I no\^
changes)
in those releases that are skipped when a delta is made in a
.I new\^
release (e.g., when delta 5.1 is made after delta 2.7, releases 3 and
4 are skipped).
The absence of the
.B n
flag causes skipped releases to be completely empty.
The
.B j
flag causes
.I get\^
to allow
concurrent edits of the same base \*(I).
The
.B l
flag defines a
.I list\^
of releases that are
.I locked\^
against editing
(\c
.IR get (CP)
with the
.B \-e
option).
The
.B q
flag defines the replacement for the \s-1\fB\s+1\fR identification keyword.
.SS \fIComments\fR
.sp 
Arbitrary text surrounded by 
the bracketing lines @t and @T.
The comments section typically 
contains a description of the file's purpose.
.SS \fIBody\fR
.sp 1
The body consists of text lines and control lines.
Text lines don't begin with the control character,
control lines do.
There are three kinds of control lines:
.IR insert , ~delete ,
and
.IR end ,
as follows:
.sp
.ti +5
\s-1@I\s+1 \*(D)
.ti +5
\s-1@D\s+1 \*(D)
.ti +5
\s-1@E\s+1 \*(D)
.br
.sp
The digit string (\s-1DDDDD\s+1) is the serial number 
corresponding to the delta for the control line.
.SH "See Also"
admin(CP),
delta(CP),
get(CP),
prs(CP)
.sp
.RI Xenix "Programmer's Guide"
.tr ~~
