.\" bm# 0000002285
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)aliases.M	1.1);


.ds mc 
.ds rv Revision 1
.TH ALIASES M
.SH Name
aliases, aliases.hash, maliases, faliases \- Micnet aliasing files.
.SH Description
These files
contain the alias definitions for a Micnet network.
Aliases are short names or abbreviations that
may be used in the 
.I mail 
command to refer to specific machines or users in
a network.  Aliasing allows a complex combination
of site, machine, and user names to be represented
by a single name.
.PP
The 
.BR aliases , 
.BR maliases , 
and 
.B faliases 
files each define
a different type of alias.  The 
.B aliases
file defines the standard aliases which are names
for specific systems and users and, in some case, for 
commands.  The
.B maliases
file defines machine aliases, names and paths for
specific systems.  The 
.B faliases
file defines forwarding aliases which are temporary 
names for forwarding mail intended for one system
or user to another.  
.PP
The 
.B aliases.hash 
file is the hashed version of the
aliases file created by the 
.I aliashash
command.  The file is used by the 
.I mail
command to resolve all standard aliases and is 
identical to the aliases file except for a hash
table at the beginning of the file.  The hash table allows
for more efficient access to the entries in
the file.  The 
.B aliases
file need only be present to generate the 
.B aliases.hash
file.  The
.B aliases
file is not required to run the network.
.PP
Each file contains zero or more lines.  Each line
lists the alias and its meaning. 
The alias can have up to eight letters and numbers, 
but must begin with a letter.  The meaning can have 
site, machine, and user login names and other aliases 
(its exact composition depends on the type of alias).  
A colon (:) separating the alias and meaning is required.
.PP
In the 
.B aliases
file, a line can have the forms:
.IP
alias:[[site!]machine:]user[,[[site!]machine:]user]...
.IP
alias:[[site!]machine:]command-pipeline
.IP
alias:error-message
.PP
.I Site 
and 
.I machine 
are the site and
machine names of the system to which the user
belongs or on which the specified command is to be
executed.  The site and machine names must end with 
an exclamation mark (!) or colon (:), respectively, 
and must be defined in a 
.B systemid
file.  A machine alias may be used in place of a 
site and machine name if it is followed by a question 
mark. 
.PP
.I User 
is a user login name or another alias.  User 
names in a list must be separated by commas.  
A newline may immediately follow a comma. 
Spaces and tabs are allowed, but only immediately before or
after a comma or newline.  
.PP
.I Command-pipeline 
is any valid command (with 
necessary arguments) preceded by a pipe symbol (\(br\^) 
and enclosed in double quotation marks.  Spaces may
separate the command and arguments, but there must
be no space between the first double quotation mark
and the pipe symbol.
.PP
.I Error-message
is any sequence of letters, numbers, and punctuation
marks (except a double quotation mark) preceded by a number sign 
(#) and enclosed in double quotation marks.
.PP
In the
.B faliases 
file, each line can have the same form as lines in
the 
.B aliases
file except that no more than one user name can be
given for any one alias.
.PP
In the
.B maliases
file a line has the form:
.IP
alias:[[site!]machine:]...
.PP
.I Site 
and 
.I machine 
are the site and
machine names for a specific network and system.  Multiple
site and machine names direct messages along the
specified path of systems.  If no site or machine
name is given, the alias is ignored.
.PP
Before the 
.I mail
program sends a message, it searches the 
.BR aliases.hash , 
.BR faliases , 
and 
.B maliases
files to see if any of the
names given with the command are aliases.  Each file 
is searched in turn,  
(\fBaliases.hash\fR, 
.B faliases,
then
\fBmaliases\fR)
and if a match is found, the alias is replaced with 
its meaning.  If no match is found, the name is
assumed to be the valid login name of a user on that
machine.  The search in the 
.B aliases.hash
file continues 
until all aliases have been replaced, so it is possible 
for several replacements to occur for a single name.  (If
a loop exists, processing continues indefinitely.)  The 
.B faliases
file is searched once, from beginning to end, even if it is 
empty.  The 
.B maliases 
file is searched only if the alias contains a machine alias.  
.PP
When an alias is a user or a list of users, the 
.I mail 
command sends the message to each user in the list.
When it is a command-pipeline, the 
.I mail
command starts execution of the command 
on the specified machine and sends the message
as input.  When the alias is an error-message,
the 
.I mail
command
ignores the message and instead displays the alias
and its meaning at the standard error.
.PP
In all files, any line beginning with a number sign
(#) is considered a comment and is ignored.
.PP
As a special feature, any alias that contains a site
name as the first component of its meaning is 
automatically prepended with the machine alias 
.B uucp?.
This alias may be explicitly defined in the 
.B maliases
file to help direct mail between networks to the
system performing the uucp link.  
.SH Files
/usr/lib/mail/aliases
.PP
/usr/lib/mail/aliases.hash
.PP
/usr/lib/mail/maliases
.PP
/usr/lib/mail/faliases
.SH "See Also"
aliashash(M), netutil(C), systemid(M), top(M)
