.\" bm# 0000002284
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)aliashash.M	1.1);


.ds mc 
.ds rv Revision 1
.TH ALIASHASH M
.SH Name
aliashash \- Micnet alias hash table generator
.SH Syntax
.B aliashash 
[
.B -v 
] [
.B -o 
output-file ] [ input-file ]
.SH Description
The 
.I aliashash
command reads the 
.I input-file
and generates a
.I output-file
containing a hash table of alias definitions for a
Micnet network.  The 
.I input-file
must name a file containing alias definitions in the
form described for the 
.B aliases
file (see 
.IR aliases (M)).
If the 
.B \-o
option is not used to specify an   
.I output-file ,
the command creates a file with the same
name as the 
.I input-file
but with 
.B .hash
appended to it.  If no 
.I input-file
is given, the command reads the file named
.B /usr/lib/mail/aliases 
and creates the file named
.BR /usr/lib/mail/aliases.hash .
.PP
If invoked with the 
.B \-v 
option, the command lists
information about the hash table.  
.PP
The 
.I output-file 
will contain both the alias definitions 
given in the 
.I input-file 
and the new hash table.  The hash 
table appears at the beginning of the file and is
separated from the alias definitions by a blank
line.  The hash table has three or more lines.
The first line is:
.IP
#<hash>
.PP
The second line has 4 entries: the bytes per
table entry, the maximum number of items per hash
value, the number of entries in the table,
and the offset (in bytes) from the beginning of the
file to the beginning of the alias definitions.
.PP
The next lines (up to the end of the hash table)
contain the hash table entries.   Each line has 
8 entries (separated by spaces) and each entry 
has 2 fields.  The first field (1 byte) is 
a checksum (represented as a printable character) 
the second field is a pointer (in bytes) to the alias
definition. The pointer is represented as a hexadecimal 
number with leading blanks if necessary and is always 
relative to the start of the definitions.
.PP
The 
.I aliashash
command is normally invoked by the 
.I install
option of the 
.I netutil
command.  If the alias definitions of a network must be 
changed, the definitions in the 
.B aliases
file should be changed and a new 
.B aliases.hash 
file created using the
.I aliashash
command.  The new 
.B aliases.hash
file must then be copied to all other computers in the
network.
.br
.ne 2i
.SH Files
/usr/lib/mail/aliashash
.P
/usr/lib/mail/aliases
.P
/usr/lib/mail/aliases.hash
.SH "See Also"
aliases(M), netutil(C) 
.SH Warning
Do not use the 
.I aliashash
command to create the 
.B aliases.hash
file while the network is running.  If necessary, create
a temporary output file, 
.B aliases.hash- ,
using the
.B \-o
option, then type:
.IP
mv aliases.hash- aliases.hash
.PP
This will prevent disruption of the network.
