.\" bm# 0000002282
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)daemon.mn.M	1.1);


.ds mc 
.ds rv Revision 1
.TH DAEMON.MN  M 
.SH Name
daemon.mn \- Micnet mailer daemon
.SH Syntax
/usr/spool/mail/daemon.mn [-ex] 
.SH Description
The mailer daemon performs the ``backend'' networking 
functions of the 
.IR mail ,
.IR rcp ,
and
.I remote
commands by establishing and servicing the serial 
communication link between computers in a Micnet network.
.PP
When invoked, the daemon creates multiple copies of 
itself, one copy for each serial line used in the 
network.  Each copy opens the serial line, creates a
startup message for the 
.SM LOG
file corresponding to that line, and waits 
for a response from the daemon at the other end.  
The startup message lists the names of the machines
to be connected, the serial line to be used, and the
current date and time.
If the daemon receives a correct response, it establishes 
the serial link and adds the message ``first handshake 
complete'' to the 
.SM LOG 
file.  If there is no response the daemon waits
indefinitely. 
.PP
If invoked with the 
.B \-x 
option, the daemon records each 
transmission in the 
.SM LOG 
file.  A transmission entry shows 
the direction of the transmission (tx for transmit, 
rx for receive), the number of bytes transmitted, the 
elasped time for the transmission (in minutes and seconds), 
and the time of day of the transmission (in hours, minutes, 
and seconds).  Each entry has the form:
.IP
\fIdirection\0 byte_count\0 elasped_time\0 @\0 time_of_day\fR
.PP
The daemon also records the date and time every
hour.  The date and time have the same format as
described for the 
.I date
command.
.PP
If invoked with the 
.B \-e 
option, the daemon records all
transmission errors in the 
.SM LOG 
file.  An error entry
shows the cause of the error preceded by the name of
the daemon subroutine which detected the error.
.PP
The mailer daemon is normally invoked by the 
.I start 
option of the 
.I netutil
command and is stopped by the
.I stop
option.
.PP
During the normal course of execution, the mailer
daemon uses several files in the 
.B /usr/spool/micnet/remote
directory.  These files provide storage for 
.SM LOG
entries, commands issued by the 
.IR remote (C)
command, and a list of processes under daemon
control.
.SH Files
/usr/lib/mail/daemon.mn
.P
/usr/spool/micnet/remote/*/\s-1LOG\s+1
.P
/usr/spool/micnet/remote/*/mn
.P
/usr/spool/micnet/remote/local/mn*
.P
/usr/spool/micnet/remote/lock
.P
/usr/spool/micnet/remote/pids
.SH "See Also"
netutil(C) 
