.\" bm# 0000002288
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)environ.M	1.1);


.ds mc 
.ds rv Revision 1
.TH ENVIRON M
.SH Name
environ \- The user environment.
.SH Description
The user environment is a collection of information 
about a user, such as his login directory, mailbox, 
and terminal type.  
The environment is stored in special ``environment 
variables,'' which can be assigned character values,
such as names of files, directories, and terminals.
These variables are automatically made available to 
programs and commands invoked by the user.  The
commands can then use the values to access the
user's files and terminal.
.PP
The following is a short list of environment variables.
.TP 12
\s-1PATH\s0 
Defines the search path for the directories 
containing commands.  The system searches these
directories whenever a user types a command without giving 
a full pathname.  The search path is one or more
directory names separated by colons (:).
Initially, 
.SM PATH 
is set to :/bin:/usr/bin.
.TP 
\s-1HOME\s0
Names the user's login directory.  Initially,
.SM HOME 
is set to the login directory given in the user's 
.B passwd
file entry.
.TP 
\s-1TERM\s0
Defines the type of terminal being used.  
This information is used by commands such as
.IR more (C) 
which rely on information about the capabilities of 
the user's terminal.  The
variable may be set to any valid terminal name (see
.IR terminals (M))
directly or by
using the 
.IR tset (C)
command.
.TP 
\s-1TZ\s0
Defines time zone information. This information 
is used by 
.IR date (C) 
to display the appropriate time.  The variable may
have any value of the form
.BI xxx n zzz
where
.B xxx
is standard local time zone abbreviation,
.I n\^
is the difference in hours from
.SM GMT,
and
.B zzz
is the daylight-saving local time zone
abbreviation (if any).  For example, 
\s-1EST\s+15\s-1EDT\s+1.
.PP
The environment can be changed by assigning a new
value to a variable.  An assignment has the form
.PP
.RS 
name=value
.RE
.PP
For example, the assignment
.PP
.RS 
TERM=h29
.RE
.PP
sets the TERM variable to the value ``h29''.
The new value can be ``exported'' to each subsequent
invocation of a shell by exporting the variable
with the 
.I export
command (see 
.IR sh (C))
or by using the 
.IR env (C)
command.  
.PP
A user may also add variables to the 
environment, but must be sure that the new names 
do not conflict with exported shell variables such as
.SM MAIL, PS1, PS2, 
and
.SM IFS.
Placing assignments in the 
.B .profile
file is a useful way to change the environment automatically 
before a session begins. 
.PP
Note that the environment is made available to 
all programs as a string of arrays.  Each string 
has the form:
.sp 10p
.RS
name=value
.RE
.PP
where the 
.I name
is the name of an exported variable and the
.I value
is the variable's current value.  For programs
started with a 
.IR exec (S)
call, the environment is available through the
external pointer 
.IR environ .  
For other programs,
individual variables in environment are available
through 
.IR getenv (S)
calls.
.SH "See Also"
env(C), login(M), sh(C), exec(S), getenv(SC), profile(M)
