.\" bm# 0000002280
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)getty.M	1.1);


.ds mc 
.ds rv Revision 1
.TH GETTY M 
.SH Name
getty \- Sets terminal mode.
.SH Syntax
.B /etc/getty [ 
char 
.B ]
.SH Description
.I Getty
is invoked
by
.IR init (M)
immediately after a terminal is opened for user logins.
.I Getty
displays a ``login:'' message, then waits for the 
user to type a login name.  While reading the name,
.I getty
attempts to adapt the system to the speed and type of terminal
being used.  Once the name is read,
.I getty
calls
.IR login (M)
with the login name as the argument.
.PP
.I Init
calls
.I getty
with a single character argument taken from
the
.IR ttys (M)
file entry for the terminal line.
This argument determines the line speed for the terminal, 
and also the ``login:'' greeting message, which can 
contain control characters to initialize the terminal for
proper communication.
.PP
If the user types a name and terminates it with a
newline (\s-1ASCII LF\s+1) or carriage return (\s-1ASCII CR\s+1),
.I getty
scans the name for uppercase alphabetic 
characters.  If only uppercase characters are found, 
.I getty 
adapts the system to
map all subsequent lowercase characters into the 
corresponding uppercase characters.
Furthermore, if the name terminates with a 
carriage return character,
.I getty
sets the terminal's serial line mode to CRMOD
(see
.IR  ioctl (S)).
.PP
If, on the other hand, the user presses the 
.SM INTERRUPT
key,
.B getty
writes the login message again.  It 
also changes the serial line speed if 
.I char
is 1 or 3 as described below.  This allows the
system to adapt to terminals whose line speeds vary.
.PP
After a name has been typed and scanned,
.I getty 
passes it to
.IR login (M)
which asks for the user's password and completes the
login process.
.PP
The following arguments from the
.I ttys
file are understood:
.TP
\-
110 baud. Intended for an ASR-33 console, for example
an operator's console.
.TP
0
150 baud for an ASR-37 console.
.TP
1
Cycles through 300-150-110-1200 baud. Useful for
dialup lines.
.TP
2
300-baud console decwriter.
.TP
3
Cycles through 1200-300-150-110 baud. Recommended
for dialup lines.
.TP
4
2400 baud.
.TP
5
4800 baud.
.TP
6
9600 baud.
.SH "See Also"
login(M), ioctl(S), ttys(M), init(M) 
