.\" bm# 0000002279
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)init.M	1.1);


.ds mc 
.ds rv Revision 1
.TH INIT M 
.SH Name
init \- Process control initialization.
.SH Syntax
.B /etc/init
.SH Description
The 
.I init
program is invoked as the last step of the boot procedure
and as the first step in enabling terminals for user
logins.  
.I Init
is one of three programs
.RI ( init ,
.IR getty (M),
and
.IR login (M))
used to initialize a system for execution.
.PP
.I Init
creates a process for each terminal on which a 
user may log in.
It begins by opening the console device,
.B /dev/console,
for reading and writing.  It then invokes a shell
which asks for a password to start the system in 
maintenance mode.
The user may type the password or terminate the
shell by typing \s-1ASCII\s+1 end-of-file 
.SM (CNTRL-D)
at the console.
If the shell terminates,
.I init
performs several steps to begin normal operation.
It invokes a shell and reads the commands in the
.B /etc/rc
file.  This command file performs housekeeping tasks
such as removing temporary files, mounting file systems, and 
starting daemons.  Then
.I init
reads the file
.B /etc/ttys
and forks several times to create a process
for each terminal device in the file.  Each 
line in the 
.B /etc/ttys
lists the state of the line (0 for closed, 1 for
open), the line mode, and the serial line (see
.IR ttys (M)).
Each process opens 
the appropriate serial line for reading and writing, assigning
the file descriptors 0, 1, and 2 to the line and
establishing it as the standard input, output, and error
files.  If the serial line is connected to a modem, the
process delays opening the line until someone
has dialed up and a carrier has been established on the line.
.PP
Once 
.I init 
has opened a line, it executes the
.I getty 
program, passing the line mode 
as an argument.  The
.I getty
program reads the user's name and invokes
.IR login (M)
to complete the login process (see 
.IR getty (M)
for details).  
.I Init
waits until the user logs out by typing \s-1ASCII\s+1
end-of-file
.SM (CNTRL-D)
or by hanging up.  It responds by waking up and removing 
the former user's login entry from the file
.BR utmp ,
which records current users, and makes a new entry in
the file
.BR wtmp ,
which is a history of logins and logouts.
Then the corresponding line is reopened and
.I getty
is reinvoked.
.PP
.I Init 
has special responses to the hangup, interrupt, and
quit signals.  The hangup signal 
.SM SIGHUP
causes 
.I init 
to change the system from normal operation to maintenance mode.  
The interrupt signal
.SM SIGINT
causes 
.I init 
to read the 
.B ttys
file again to open any new lines and close lines
that have been removed.  The quit signal 
.SM SIGQUIT
causes
.I init
to disallow any further logins.  In general, these
signals have a significant effect on the system 
and should not be used by a naive user.  Instead,
similar functions can be safely performed with the 
.IR enable (C),
.IR disable (C),
and
.IR shutdown (C)
commands.
.SH Files
/dev/tty*
.sp 10p
/etc/utmp
.sp 10p
/usr/adm/wtmp
.sp 10p
/etc/ttys
.sp 10p
/etc/rc
.SH "See Also"
disable(C), enable(C), login(M), kill(C), 
sh(C), shutdown(C), ttys(M), getty(M)
