.\" bm# 0000002278
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)login.M	1.1);


.ds mc 
.ds rv Revision 1
.TH LOGIN M
.SH Name
login \- Gives access to the system.
.SH Description
The
.I login\^
program is used at the beginning of each terminal session
to identify the user attempting to log in to the system.
.I Login\^
is invoked by 
.IR getty (M),
after a login name has been typed in response to the 
``login:'' message.  
.I Login\^
prompts for the user's password, then turns off echoing 
(where possible) to prevent the password from appearing 
on the terminal screen when typed.
.PP
Once a password has been typed, 
.I login\^
encrypts the password and compares it with the
encrypted password in the user's password entry (see
.IR passwd (M)).
If there is a match, the login is successful.
.PP
If password aging is in effect and the current
password is out of date, the
.IR passwd (C)
command is automatically invoked.  In this case, the 
user must change the password, then attempt to log in again.
.PP
If the login is not completed within a certain period 
of time (e.g., one minute), 
.I login\^
either returns control to
.IR getty ,
or silently disconnects the dial-up line.
.PP
After a successful login, 
.I login\^
updates accounting files, displays a message about
the existence of any mail, then executes the start-up 
profile file,
.BR /etc/profile ,
and the user's
.B .profile 
file in his home directory.  (see
.IR profile (M)).
.I Login\^
then initializes the user and group \s-1ID\s+1s, and the working 
directory.  Finally, it executes a command interpreter (usually
.IR sh (C))
according to specifications found in the
.B /etc/passwd
file.
.PP
At some installations, an option may be invoked that will require
a second ``external'' password to be entered.
This will occur only for dial-up connections, and will be 
prompted by the message
``External security:''.
Both passwords are required for a successful login.
.PP
When the user's shell is finally invoked, argument 0 of 
the command interpreter is a dash
.RB ( \- )
followed by the last component of the interpreter's pathname.
The
.I environment\^
(see
.IR environ (M))
is initialized to:
.IP
\s-1HOME\s+1= your-login-directory\^
.IP
\s-1PATH\s+1=:/bin:/usr/bin
.PP
Also, the user's file creation mask is set to octal 022
(see
.IR umask (C)).
.SH Files
.ta \w'/usr/spool/mail/your-name  'u
/etc/utmp	Accounting
.PP
/usr/adm/wtmp	Accounting
.PP
.RI /usr/spool/mail/ your-name "	Mailbox for user\^"
.I your-name\^
.PP
/etc/motd	Message of the day
.PP
/etc/passwd	Password file
.PP
/etc/profile	System profile
.PP
\s-1$HOME\s+1/\s+4.\s-4profile	Personal profile
.SH "See Also"
mail(C),
newgrp(C),
sh(C),
passwd(C),
su(C),
umask(C),
passwd(M),
profile(M),
environ(M),
getty(M)
.SH Diagnostics
.TP
.I "Login incorrect\^"
The user name or the password is incorrect.
.TP
.IR "No shell" ", " "cannot open password file" ", " "no directory" :
Your account has not been properly set up.
.TP
.IR "Your password has expired" ". " "Choose a new one" .
Password aging is implemented and yours has expired.
.PD
