.\" bm# 0000002277
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)makekey.M	1.1);


.ds mc 
.ds rv Revision 1
.TH MAKEKEY M
.SH Name
makekey \- Generates an encryption key.
.SH Syntax
.B /usr/lib/makekey
.SH Description
.I Makekey\^
improves the usefulness of encryption schemes
by increasing the amount of time required to
search the key space.
It reads 10 bytes from its standard input,
and writes 13 bytes on its standard output.
The output depends on the input in a way that
is intended
to be difficult to compute (i.e., to require a substantial
fraction of a second).
.PP
The first 8 input bytes
(the
.IR "input key" )
can be arbitrary
.SM ASCII
characters.
The last
2 input bytes (the
.IR salt )
are best chosen from the set of digits,
dot (.), slash (/),
and
uppercase and lowercase
letters.
The 
.I salt 
characters are repeated as the first 2 characters of the output.
The remaining 11 output characters are chosen from 
the same set as the 
.I salt
and constitute the
.IR "output key" .
.PP
The transformation performed is essentially the following:
the 
.I salt 
is used to select one of 4,096 cryptographic
machines all based on the National Bureau of Standards
.SM DES
algorithm, but broken in 4,096 different ways.
Using the
.I input key\^
as the key,
a constant string is fed into the machine and recirculated.
The 64 bits that come out are distributed into the 66
.I output key\^
bits in the result.
.PP
.I Makekey\^
is intended for use with programs that perform encryption
(e.g.,
.IR ed (C)
and
.IR crypt (C)).
Usually its input and output will be pipes.
.SH "See Also"
crypt(C), ed(C), passwd(M)
