.\" bm# 0000002299
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)micnet.M	1.1);


.ds mc 
.ds rv Revision 1
.TH MICNET M
.SH Name
micnet \- The Micnet default commands file.
.SH Description
The 
.B micnet
file lists the system 
commands that may be executed through the 
.I remote 
command.  The file is required for each system in a 
Micnet network.  Whenever a 
.I remote
command is received through the network, the Micnet
programs search the
.B micnet
file for the system command specified with the 
.I remote 
command.  If found, the command is executed.  Otherwise, 
the command is ignored and an error message is returned
to the system which issued the 
.I remote 
command.
.PP
The file may contain one or more lines.  If all
commands may be executed, then only the line
.IP
executeall
.PP
is required in the file.  Otherwise, the commands
must be listed individually.  A line that defines an 
individual command has the form:
.IP
command=commandpath
.PP
.I Command 
is the command name to be specified in a
.I remote 
command. 
.I Commandpath 
is the full pathname of
the command on the specified system.  The equal sign
(=) separates the command and commandpath.  For
example, the line
.IP
cat=/bin/cat
.PP
defines the command name 
.I cat 
(used in the 
.I remote
command) to refer to the system command 
.B cat 
in the 
.B /bin 
directory.  
.PP
When 
.I executeall 
is set, commands are sought in
a series of default directories.  Initially, the
directories are 
.B /bin 
and 
.BR /usr/bin .
The default directories can be explicitly defined in
the file by including a line of the form:
.IP
execpath=PATH=directory[:directory]...
.PP
The first part of the line,
.IR execpath=PATH=,
is required.
Each 
.I directory 
must be a valid pathname.  The colon
is required to separate directories.  For
example, the line
.IP
execpath=PATH=/bin:/usr/bin:/usr/bobf/bin
.PP
sets the default directories to 
.B /bin, 
.B /usr/bin, 
and
.B /usr/bobf/bin.
.SH Files
/etc/default/micnet
.SH "See Also"
aliases(M), netutil(C), systemid(M), top(M)
.SH Notes
The 
.B rcp
command cannot be executed from a remote system
unless the 
.B micnet 
file contains either
.I executeall ,
or the line
.IP
rcp=/usr/bin/rcp
