.\" bm# 0000002297
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)passwd.M	1.1);


.ds mc 
.ds rv Revision 1
.TH PASSWD M
.SH Name
passwd \- The password file.
.SH Description
.I Passwd\^
contains the following information for each user:
.RS
.PP
\-Login name
.sp 10p
\-Encrypted password
.sp 10p
\-Numerical user
.SM ID
.sp 10p
\-Numerical group
.SM ID
.sp 10p
\-Comment
.sp 10p
\-Initial working directory
.sp 10p
\-Program to use as shell
.RE
.PP
This is an \s-1ASCII\s0 file.  Each field within each user's entry
is separated from the next by a colon (:).
The comment can contain any desired information.
Each user is separated from the next by a newline.
If the password field is null, no password is demanded;
if the shell field is null, 
.IR sh (C)
is used.
.PP
This file resides in the directory
.BR /etc .
Because the 
passwords are encrypted, the file has general read
permission and can be used, for example,
to map numerical user \s-1ID\s0s to names.
.PP
The encrypted password consists of 13 characters chosen 
from a 64-character alphabet
.RB ( . ", " / ,
.BR 0\-9 ", " A\-Z ", " a\-z ),
except when the password is null, in which case the encrypted
password is also null. 
Password aging is in effect for a particular user
if his encrypted password 
in the password file is followed by a comma and a nonnull string
of characters from the above alphabet. 
(Such a string must be introduced 
by the super-user.) The first character of the age
denotes the maximum number of weeks for which a password is valid.
A user who attempts to log in after his password has expired will be
forced to supply a new one.
The next character
denotes the minimum period in weeks which
must expire before the password may be changed. 
The remaining characters define the week 
(counted from the beginning of 1970) when the password was
last changed. (A null string is equivalent to zero.)
The first and second characters must have numerical 
values in the range 0\-63, where the dot (.) is
equal to 0 and lowercase
.I z
is equal to 63.
If the numerical value of both characters is 0,
the user will be forced to change his password the
next time he logs in. 
If the second character is greater than the first,
only the super-user
will be able to change the password.
.SH Files
/etc/passwd
.SH "See Also"
login(M), passwd(C), a64l(S), crypt(S), getpwent(S), group(M),
pwadmin(C).
