.\" bm# 0000002296
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)profile.M	1.1);


.ds mc 
.ds rv Revision 1
.TH PROFILE M
.SH Name
profile \- Sets up an environment at login time.
.SH Description
The optional file 
.B .profile
permits automatic execution of commands whenever a
user logs in.  The file is generally used to personalize
a user's work environment by setting exported 
environment variables and terminal mode (see 
.BR environ (C)).
.PP
When a user logs in, the user's login shell looks for
.B .profile
in the login directory.  If found, the shell
executes the commands in the file 
before beginning the session.  The commands in the file
must have the same format as if typed at the
keyboard.  Any line beginning with the number sign
(#) is considered a comment and is ignored.
The following is an example of a typical file:
.PP
.nf
.RS
.BR "#  " "Tell me when new mail comes in"
\s-1MAIL\s0=/usr/mail/myname
.BR "#  " "Add my /bin directory to the shell search sequence"
\s-1PATH\s0=\s-1$PATH\s0\f3:\fP\s-1$HOME\s0/bin
.BR "#  " "Make some environment variables global"
export \s-1MAIL\s0 \s-1PATH\s0 \s-1TERM\s0
.BR "#  " "Set file creation mask"
umask 22
.RE
.fi
.PP
Note that the file
.B /etc/profile
is a system-wide profile that, if it exists, is executed for 
every user before the user's
.B .profile 
is executed.
.SH Files
\s-1$HOME\s+1/\f3.\fPprofile
.br
/etc/profile
.SH "See Also"
env(C), login(M), mail(C), 
sh(C), stty(C), su(C), environ(M)
