.\" bm# 0000002295
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)systemid.M	1.1);


.ds mc 
.ds rv Revision 1
.TH SYSTEMID M
.SH Name
systemid \- The Micnet system identification file.
.SH Description
The 
.B systemid
file contains the machine 
and site names for a system in a Micnet network.  A 
.I machine name 
identifies a system and distinguishes it 
from other systems in the same network.  A 
.I site name
identifies the network to which a system belongs and
distinguishes the network from other networks in the
same chain.
.PP
The 
.B systemid
file may contain a 
.I site name 
and up to four
different 
.I machine names. 
The file has the form:
.IP
[site-name]
.br
.sp 2p
machine-name1
.br
.sp 2p
[machine-name2]
.br
.sp 2p
[machine-name3]
.br
.sp 2p
[machine-name4]
.PP
The file must contain at least one machine name. The 
other machine names are optional, serving as alternate
names for the same machine.  The file must contain a
site name if more than one machine name is given 
or if the network is connected to another through a 
uucp link.  The site name, when given, must be on the 
first line.
.PP
Each name can have up to eight letters and numbers 
but must always begin with a letter.  There is never more
than one name to a line.  A line beginning with a
pound sign (#) is considered a comment line and is
ignored.
.PP
The Micnet network requires one
.B systemid
file on each system in a network with each file
containing a unique set of machine names.
If the network is connected to another network
through a uucp link, then each file in the network
must contain the same site name.
.PP
The
.B systemid
file is used primarily during resolution of aliases.
When aliases contain site and/or machine names 
the name is compared with the names in the 
file and removed if there is a match.  
If there is no match, the alias (and
associated message, file, or command) is
passed on to the specified site or machine for
further processing.
.bp
.SH Files
/etc/systemid
.SH "See Also"
aliases(M), netutil(C), top(M)
