.\" bm# 0000002292
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)top.M	1.1);


.ds mc 
.ds rv Revision 1
.TH TOP M
.SH Name
top, top.next \- The Micnet topology files.
.SH Description
These files contain
the topology information for a Micnet network.  The
topology information describes how the individual
systems in the network are connected and what path a
message must take from one system to reach another.
Each file contains one or more lines of text.  Each
line of text defines a connection or a communication
path.
.PP
The 
.B top
file defines connections between systems.  Each line
lists the machine names of the connected systems, the 
serial lines used to make the connection, and the
speed (baud rate) of transmission between the
systems.  Each line has the form:
.IP
machine1 tty1 machine2 tty2 speed
.PP
.I machine1 
and 
.I machine2 
are the machine names of 
the respective systems (as given in the
.B systemid
files). 
.I tty1
and 
.I tty2 
are the device names 
(e.g., tty01) of the connecting serial lines.  The 
speed must be an acceptable baud rate (e.g., 110, 
300, ..., 19200).  
.PP
The
.B top.next
file contains information about how to reach a
particular system from a given system.  There may be
several lines for each system in the network.  Each
line lists the machine name of a system, followed
by the machine name of a system connected to it,
followed by the machine names of all the systems
that may be reached by going through the second
system.  Such a line has the form:
.IP
machine1 machine2 machine3 [machine4]...
.PP
The machine names must be the names of the
respective systems (as given by the first machine
name in the 
.B systemid
files). 
.PP
The
.I top.next
file must be present even if there are only two
computers in the network.  In such a case, the file
must be empty.
.PP
In the 
.B top
and
.B top.next
files, any line beginning with a number sign (#) is
considered a comment and is ignored.
.SH Files
/usr/lib/mail/top
.PP
/usr/lib/mail/top.next
.SH "See Also"
aliases(M), netutil(C), systemid(M), top(M)
