.\" bm# 0000002346
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH A64L S
.SH Name
a64l, l64a \- Converts between long integer and base 64 \s-1ASCII\s0.
.SH Syntax
.B long a64l (s)
.br
.B char \(**s;
.PP
.B char \(**l64a (l)
.br
.B long l;
.SH Description
These routines are used to maintain numbers stored in base 64
.SM ASCII.
This is a notation by which
long integers can be represented by up to six characters; each character
represents a ``digit'' in a radix 64 notation.
.PP
The characters used to represent ``digits''
are
.B .
for 0,
.B /
for 1,
.B 0
through
.B 9
for 2 through 11,
.B A
through
.B Z
for 12 through 37, and
.B a
through
.B z
for 38 through 63.
.PP
.I A64l\^
takes a pointer to a null-terminated base 64 representation and returns
a corresponding
.B long
value.
.I L64a\^
takes a
.B long
argument and returns a pointer 
to the corresponding base 64 representation.
.SH Notes
The value returned by
.I l64a\^
is a pointer into a static buffer, the contents of which are
overwritten by each call.
