.\" bm# 0000002343
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH ACCESS S 
.SH Name
access \- Determines accessibility of a file.
.SH Syntax
.B int access (path, amode)
.br
.B char \(**path;
.br
.B int amode;
.SH Description
.I Path\^
points to a pathname naming a file.
.I Access\^
checks the named file
for accessibility according to the bit pattern contained in
.IR amode ,
using the real user
.SM ID
in place of the effective user
.SM ID
and 
the real group
.SM ID
in place of the effective group
.SM ID\*S.
The bit pattern for
.I amode\^
can be formed by adding any combination of the following:
.PP
.RS
04	Read
.br
02	Write
.br
01	Execute (search)
.br
00	Check existence of file
.RE
.PP
Access to the file is denied if one or more of the following are true:
.IP
A component of the
path prefix
is not a directory.
.SM
\%[ENOTDIR]
.IP
Read, write, or execute
(search)
permission is requested for a null
pathname.
.SM
\%[ENOENT]
.IP
The named file does not exist.
.SM
\%[ENOENT]
.IP
Search permission is denied on a component of the
path prefix.
.SM
\%[EACCES]
.IP
Write access is requested for a file on a read-only file system.
.SM
\%[EROFS]
.IP
Write access is requested for a pure procedure (shared text)
file that is being executed.
.SM
\%[ETXTBSY]
.IP
Permission bits of the file mode do not permit
the requested access.
.SM
\%[EACCES]
.IP
.I Path\^
points outside the process' allocated address space.
.SM
\%[EFAULT]
.PP
.I Access\^
checks the permissions for the owner of a file by checking
the ``owner'' read, write, and execute mode bits.  For
members of the file's group, the ``group'' mode bits
are checked.  For all others, the ``other'' mode bits
are checked.
.SH "Return Value"
.PP
If the requested access is permitted, a value of 0 is returned.
Otherwise, a value of \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
chmod(S), stat(S)
.SH Notes
The super-user (root) may access any file, regardless of
permission settings.
