.\" bm# 0000002342
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH ACCT S
.SH Name
acct \- Enables or disables process accounting.
.SH Syntax
.B int acct (path)
.br
.B char \(**path;
.SH Description
.I Acct\^
is used to enable or disable the system's process accounting routine.
If the routine is enabled, an accounting record will be written on an
accounting file for each process that terminates.
A process can be terminated by a call to
.I exit\^
or by receipt of a signal which it does not ignore or
catch; see
.IR exit (S) 
and 
.IR signal (S).
The effective user
.SM ID
of the calling process must be super-user to use this call.
.PP
.I Path\^
points to the pathname of the accounting file.
The accounting file format is given in
.IR acct (F).
.PP
The accounting routine is enabled if
.I path\^
is nonzero and no errors occur during the system call.
It is disabled if
.I path\^
is zero and no errors occur during the system call.
.PP
.I Acct\^
will fail if one or more of the following are true:
.IP
The effective user
.SM ID
of the calling process is not super-user.
.SM
\%[EPERM]
.IP
An attempt is being made 
to enable accounting when it is already enabled.
.SM
\%[EBUSY]
.IP
A component of the path prefix is not a directory.
.SM
\%[ENOTDIR]
.IP
One or more components of the accounting file's pathname do not exist.
.SM
\%[ENOENT]
.IP
A component of the
path prefix
denies search permission.
.SM
\%[EACCES]
.IP
The file named by
.I path\^
is not an ordinary file.
.SM
\%[EACCES]
.IP
.I Mode\^
permission is denied for the named accounting file.
.SM
\%[EACCES]
.IP
The named file is a directory.
.SM
\%[EACCES]
.IP
The named file resides on a read-only file system.
.SM
\%[EROFS]
.IP
.I Path\^
points to an illegal address.
.SM
\%[EFAULT]
.SH "Return Value"
Upon successful completion, a value of 0 is returned. Otherwise, a
value of \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
accton(C), acctcom(C), acct(F)
