.\" bm# 0000002337
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH BSEARCH S 
.SH Name
bsearch \- Performs a binary search.
.SH Syntax
.B "char \(**bsearch (key, base, nel, width, compar)"
.br
.B char \(**key;
.br
.B char \(**base;
.br
.B int nel, width;
.br
.B int (\(**compar)();
.SH Description
.I Bsearch\^
is a binary search routine generalized from Knuth (6.2.1) Algorithm B.
It returns a pointer into a table indicating the location at which
a datum may be found.
The table must be previously sorted in increasing order.
The first argument is a pointer to the datum to be located in the table.
The second argument is a pointer to the base of the table.
The third is the number of elements in the table.
The fourth is the width of an element in bytes.
The last argument is the name of the comparison routine.
It is called with two arguments which are pointers
to the elements being compared.
The routine must return
an integer less than, equal to, or greater than 0,
depending on whether the first argument is to be considered
less than, equal to, or greater than the second.
.SH "Return Value"
If the key cannot be found in the table, a value of
0 is returned.
.SH "See Also"
lsearch(S), qsort(S)
