.\" bm# 0000002336
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH CHDIR S 
.SH Name
chdir \- Changes the working directory.
.SH Syntax
.B int chdir (path)
.br
.B char \(**path;
.PP
.SH Description
.I Path\^
points to the
pathname
of a directory.
.I Chdir\^
causes the named directory to become the current working directory,
the starting point for path searches for
pathnames
not beginning with
.BR / .
.PP
.I Chdir\^
will fail and the current working directory will be unchanged if
one or more of the following are true:
.IP
A component of the
pathname
is not a directory.
.SM
\%[ENOTDIR]
.IP
The named directory does not exist.
.SM
\%[ENOENT]
.IP
Search permission is denied for any component of the
pathname.
.SM
\%[EACCES]
.IP
.I Path\^
points outside the process' allocated address space.
.SM
\%[EFAULT]
.SH "Return Value"
Upon successful completion, a value of 0 is returned.
Otherwise, a value of \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
chroot(S)
