.\" bm# 0000002333
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH CHROOT S
.SH Name
chroot \- Changes the root directory.
.SH Syntax
.B int chroot (path)
.br
.B char \(**path;
.PP
.SH Description
.I Path\^
points to a
pathname
naming a directory.
.I Chroot\^
causes the named directory to become the root directory,
the starting point for path searches for
pathnames
beginning with
.BR / .
.PP
To change the root directory,
the effective user
.SM ID
of the process must be super-user.
.PP
The ``..'' entry in the root directory is interpreted 
to mean the root directory itself.  Thus, ``..'' 
cannot be used to access files outside the
root directory.
.PP
.I Chroot\^
will fail and the root directory will remain unchanged if
one or more of the following are true:
.IP
Any component of the
pathname
is not a directory.
.SM
\%[ENOTDIR]
.IP
The named directory does not exist.
.SM
\%[ENOENT]
.IP
The effective user
.SM ID
is not super-user.
.SM
\%[EPERM]
.IP
.I Path\^
points outside the process' allocated address space.
.SM
\%[EFAULT]
.SH "Return Value"
Upon successful completion, a value of 0 is returned.
Otherwise, a value of \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
chdir(S), chroot(C)
