.\" bm# 0000002332
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH CHSIZE S
.SH Name
chsize \- Changes the size of a file.
.SH Syntax
.B int chsize (fildes, size)
.br
.B int fildes;
.br
.B long size;
.SH Description
.I Fildes
is a file descriptor obtained from a
.IR creat ,
.IR open ,
.IR dup ,
.IR fcntl ,
or 
.I pipe 
system call.
.I Chsize
changes the size of the file associated
with the file descriptor
.I fildes
to be exactly 
.I size
bytes in length.  The routine either truncates the
file, or pads it with an appropriate number of bytes.
If 
.I size 
is less than the initial size of the file,
then all allocated disk blocks between
.I size 
and the initial file size are freed.
.PP
The maximum file size as set by 
.IR ulimit\^ (S) 
is enforced when 
.I chsize\^
is called, rather than on subsequent writes.
Thus
.I chsize\^ 
fails, and the file size remains unchanged
if the new changed file size would exceed the
.I ulimit.
.SH "Return Value"
Upon successful completion, a value of 0 is returned.
Otherwise, the value \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
creat(S), dup(S), lseek(S), open(S), pipe(S), ulimit(S)
.SH Notes
In general if 
.I chsize
is used to expand the size of a file,
when data is written to the end of the file, intervening
blocks are filled with zeros. 
In a few rare cases, reducing the file size may not
remove the data beyond the new end-of-file.
