.\" bm# 0000002330
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH CONV S
.SH Name
conv, toupper, tolower, toascii \- Translates characters.
.SH Syntax
.B #include <ctype.h>
.PP
.B int toupper (c)
.br
.B int c;
.PP
.B int tolower (c)
.br
.B int c;
.PP
.B int _toupper (c)
.br
.B int c;
.PP
.B int _tolower (c)
.br
.B int c;
.PP
.B int toascii (c)
.br
.B int c;
.SH Description
.I Toupper\^
and
.I tolower\^
convert the argument 
.I c
to a letter of opposite case.  Arguments may be 
the integers \-1 through 255 (the same values returned by 
.IR getc (S)).
If the argument of
.I toupper\^
represents a lowercase letter, the
result is the corresponding uppercase
letter.
If the argument of
.I tolower\^
represents an uppercase letter, the
result is the corresponding lowercase
letter.
All other arguments are returned unchanged.
.PP
.I _toupper\^
and
.I _tolower\^
are macros that accomplish the same thing as
.I toupper\^
and
.I tolower\^
but have restricted argument values and are faster.
.I _toupper\^
requires a lowercase letter as its argument;
its result is the corresponding uppercase letter.
.I _tolower\^
requires an uppercase letter as its argument;
its result is the corresponding lowercase letter.
All other arguments cause unpredictable results.
.PP
.I Toascii\^
converts integer values to 
.SM ASCII
characters.  The function clears all bits of the 
integer that are not part of a standard
.SM ASCII
character; it is intended for compatibility
with other systems.
.SH "See Also"
ctype(S)
.bp
.SH Notes
Because
.I _toupper
and 
.I _tolower
are implemented as macros, they should not be used where
unwanted side effects may occur.
Removing the 
.I _toupper
and 
.I _tolower
macros with the
.BR #undef 
directive causes the corresponding library functions to 
be linked instead.  This allows any arguments to be used 
without worry about side effects.
