.\" bm# 0000002329
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH CREAT S 
.SH Name
creat \- Creates a new file or rewrites an existing one.
.SH Syntax
.B int creat (path, mode)
.br
.B char \(**path;
.br
.B int mode;
.SH Description
.I Creat\^
creates a new ordinary file or prepares to rewrite an existing file
named by the
pathname
pointed to by
.IR path .
.PP
If the file exists, the length is truncated to 0 and the mode
and owner are unchanged.
Otherwise,
the file's owner
.SM ID
is set to the process' effective
user
.SM ID\*S,
the file's group
.SM ID
is set to the process' effective group
.SM ID\*S,
and
the access permission bits (i.e., the low-order 12 bits of 
the file mode) are set to the value of
.IR mode\^ .
.I Mode
may has the same values as described for
.IR chmod (S).
.I Creat 
will then modify the access permission bits as follows:
.IP
All bits set in the process' file mode creation mask are cleared.
See
.IR umask (S).
.IP
The ``save text image after execution bit'' is cleared.  See
.IR chmod (S).
.PP
Upon successful completion, a nonnegative integer,
namely the file descriptor,
is returned and the file is open for writing,
even if the mode does not permit writing.
The file pointer is set to the beginning of the file.
The file descriptor is set to remain open across
.I exec\^
system calls.
See
.IR fcntl (S).
No process may have more than 20 files open simultaneously.
A new file may be created with a mode that forbids writing.
.PP
.I Creat\^
will fail if one or more of the following are true:
.IP
A component of the
path prefix
is not a directory.
.SM
\%[ENOTDIR]
.IP
A component of the
path prefix
does not exist.
.SM
\%[ENOENT]
.IP
Search permission is denied on a component of the
path prefix.
.SM
\%[EACCES]
.IP
The pathname is null.
.SM
\%[ENOENT]
.IP
The file does not exist and the directory in which the file
is to be created does not permit writing.
.SM
\%[EACCES]
.IP
The named file resides or would reside on a read-only file system.
.SM
\%[EROFS]
.IP
The file is a pure procedure (shared text) file that is being executed.
.SM
\%[ETXTBSY]
.IP
The file exists and write permission is denied.
.SM
\%[EACCES]
.IP
The named file is an existing directory.
.SM
\%[EISDIR]
.IP
Twenty
file descriptors are currently open.
.SM
\%[EMFILE]
.IP
.I Path\^
points outside the process' allocated address space.
.SM
\%[EFAULT]
.SH "Return Value"
Upon successful completion,
a nonnegative integer,
namely the file descriptor,
is returned.
Otherwise, a value of \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
close(S), dup(S), lseek(S), open(S), read(S), umask(S), write(S)
.SH Notes
.IR Open (S)
is preferred to 
.I creat.
