.\" bm# 0000002327
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH CRYPT S
.SH Name
crypt, setkey, encrypt \- Performs encryption functions.
.SH Syntax
.B char \(**crypt (key, salt)
.br
.B char \(**key, \(**salt;
.PP
.B setkey (key)
.br
.B char \(**key;
.PP
.B encrypt (block, edflag)
.br
.B char \(**block;
.br
.B int edflag;
.SH Description
.I Crypt\^
is the password encryption routine.
It is based on the
.SM NBS
Data Encryption Standard (\s-1DES\s+1), with
variations intended (among other things) to frustrate use of hardware
implementations of the
.SM DES
for key search.
.PP
The first argument to
.I crypt\^
is a user's typed password.
The second is a 2-character string chosen from the
set [a-zA-Z0-9./];
this
.I salt\^
string is used to perturb the
.SM DES
algorithm in one of 4096
different ways, after which the password
is used as the key to encrypt repeatedly a constant string.
The returned value points to the encrypted password,
in the same alphabet as the \fIsalt\fP.
The first two characters are the \fIsalt\fP itself.
.PP
The
.I setkey\^
and
.I encrypt\^
entries provide 
access to the actual
.SM DES
algorithm.
The argument of
.I setkey\^
is a character array of length 64 containing only the characters
with numerical value 0 and 1.
If this string is divided into groups of 8,
the low-order bit in each group is ignored,
leading to a 56-bit key which is set into the machine.
.PP
The argument to the
.I encrypt\^
entry is likewise a character array of length 64
containing zeroes and ones.
The argument array is modified in place
to a similar array
representing the bits of the argument after having been
subjected to the
.SM DES
algorithm using the key set by
.IR setkey .
If
.I edflag\^
is 0, the argument is encrypted;
if nonzero,
it is decrypted.
.SH "See Also"
passwd(C), getpass(S), passwd(M)
.SH Notes
The return value from 
.I crypt
points to static data that is overwritten by each call.
