.\" bm# 0000002326
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH CTERMID S
.SH Name
ctermid \- Generates a filename for a terminal.
.SH Syntax
.B #include <stdio.h>
.PP
.B char \(**ctermid(s)
.br
.B char \(**s;
.SH Description
.I Ctermid\^
returns a pointer to a string that, when used used as 
a filename, refers to the controlling terminal of the 
calling process.
.PP
If 
.RI (int) s\^
is zero, the string is stored in an internal static area,
the contents of which are overwritten at the next call to
.IR ctermid ,
and the address of which is returned.
If
.RI (int) s\^
is nonzero, then
.I s\^
is assumed to point to a character array of at least
.B L_ctermid
elements; the string is placed in this array and the value of
.I s\^
is returned.
The manifest constant
.B L_ctermid
is defined in
.BR <stdio.h> .
.SH Notes
The difference between
.I ctermid\^
and
.IR ttyname (S)
is that
.I ttyname\^
must be given a file descriptor and it returns the actual name of
the terminal associated with that file descriptor, while
.I ctermid\^
returns a magic string
.RB ( /dev/tty )
that will refer to the
terminal if used as a filename.
Thus
.I ttyname\^
is useless unless the process already has at least one file open
to a terminal.
.SH "See Also"
ttyname(S)
