.\" bm# 0000002325
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH CTIME S 
.SH Name
ctime, localtime, gmtime, asctime, tzset \- Converts date and time to \s-1ASCII\s0.
.SH Syntax
.B char \(**ctime (clock)
.br
.B long \(**clock;
.PP
.B #include <time.h>
.PP
.B struct tm \(**localtime (clock)
.br
.B long \(**clock;
.PP
.B struct tm \(**gmtime (clock)
.br
.B long \(**clock;
.PP
.B char \(**asctime (tm)
.br
.B struct tm \(**tm;
.PP
.B tzset ( )
.PP
.B extern long timezone;
.br
.B extern int daylight;
.br
.B extern char tzname;
.SH Description
.I Ctime\^
converts a time pointed to by
.I clock\^
(such as returned by
.IR time (S))
into \s-1ASCII\s0
and returns a pointer to a
26-character string
in the following form:
.PP
.RS
Sun Sep 16 01:03:52 1973\\n\\0
.RE
.PP
If necessary, fields in this string are padded with spaces
to keep the string a constant length.
.PP
.I Localtime\^
and
.I gmtime\^
return pointers to structures containing
the time as a variety of individual quantities.
These quantities give the time on a 24-hour clock,
day of month (1-31), month of year (0-11), day of week
(Sunday = 0), year (since 1900), day of year (0-365),
and a flag that is nonzero if daylight saving time is in effect.
.I Localtime\^
corrects for the time zone and possible daylight savings time.
.I Gmtime\^
converts directly to Greenwich time (\s-1GMT\s0), which is the
time the \s-1XENIX\s0 system uses.
.PP
.I Asctime\^
converts the times returned by 
.I localtime\^
and
.I gmtime\^
to a 26-character \s-1ASCII\s0 string and returns a pointer
to this string.
.PP
The structure declaration for 
.I tm 
is defined in 
.BR /usr/include/time.h .
.PP
The external
long
variable
.I timezone\^
contains the difference, in seconds, between \s-1GMT\s0 and local
standard time (e.g., in Eastern Standard Time (\s-1EST\s0),
.I timezone\^
is 5\(**60\(**60);
the external integer variable
.I daylight\^
is nonzero if and only if the standard U.S.A.
Daylight Savings Time conversion should be applied.
The program knows about the peculiarities
of this conversion in 1974 and 1975.
.PP
If an environment variable named
.SM
TZ
is present,
.I asctime\^
uses the contents of the variable to override the default time
zone.
The value of
.SM
TZ
must be a three-letter time zone name, followed by a number
representing the difference between local time (with
optional sign) and Greenwich
time in hours, followed by an optional three-letter name for
a daylight time zone.
For example, the setting for New Jersey would be
.SM
EST5EDT.
The effects of setting
.SM
TZ
are thus to change the values of the external variables
.I timezone\^
and
.IR daylight .
In addition, the time zone names contained in the external variable
.PP
.RS
char \(**tzname[2] = {"\s-1EST\s0", "\s-1EDT\s0"};
.RE
.PP
are set from the environment variable.
The function
.I tzset\^
sets the external variables from
.SM
TZ ;
it is called by
.I asctime\^
and may also be called explicitly by the user.
.PP
.SH "See Also"
time(S), getenv(S), environ(M)
.SH Notes
The return values point to static data
those content is overwritten by each call.
