.\" bm# 0000002324
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH CTYPE S 
.SH Name
ctype, isalpha, isupper, islower, isdigit, isxdigit, isalnum, isspace, ispunct, isprint, isgraph, iscntrl, isascii \- Classifies characters.
.SH Syntax
.B #include <ctype.h>
.PP
.B int isalpha (c)
.br
.B int c;
.PP
.B . . .
.SH Description
These macros classify \s-1ASCII\s0-coded integer values
by table lookup.
Each returns nonzero for true,
zero for false.
.I Isascii\^
is defined on all integer values; the rest
are defined only where 
.I isascii\^
is true and on the single non-\s-1ASCII\s0 value
.SM
EOF
(see
.IR stdio (S)).
.TP 15n
.I isalpha\^
.I c\^
is a letter
.TP
.I isupper\^
.I c\^
is an uppercase letter
.TP
.I islower\^
.I c\^
is a lowercase letter
.TP
.I isdigit\^
.I c\^
is a digit [0-9]
.TP
.I isxdigit\^
.I c\^
is a hexidecimal digit [0-9], [A-F] or [a-f]
.TP
.I isalnum\^
.I c\^
is an alphanumeric
.TP
.I isspace\^
.I c\^
is a space, tab, carriage return, newline, vertical tab, or form
feed
.TP
.I ispunct\^
.I c\^
is a punctuation character (neither control nor alphanumeric)
.TP
.I isprint\^
.I c\^
is a printing character, octal 40 (space) through octal 176 (tilde)
.TP
.I isgraph\^
.I c\^
is a printing character, like
.I isprint\^
except false for space
.TP
.I iscntrl\^
.I c\^
is a delete character (octal 177) or ordinary control character
(less than octal 40).
.TP
.I isascii\^
.I c\^
is an \s-1ASCII\s0 character, code less than 0200
.SH "See Also"
ascii(M)
