.\" bm# 0000002322
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH CUSERID S
.SH Name
cuserid \- Gets the login name of the user.
.SH Syntax
.B #include <stdio.h>
.PP
.B char \(**cuserid (s)
.br
.B char \(**s;
.SH Description
.I Cuserid\^
returns a pointer to string which represents the login
name of the owner of the current process.
If
.RI (int) s\^
is zero, this representation is generated in an
internal static area, the address of which is returned.
If
.RI (int) s\^
is nonzero,
.I s\^
is assumed to point to an array of at least
.B L_cuserid
characters; the representation is left in this array.
The manifest constant
.B L_cuserid
is defined in
.BR <stdio.h> .
.SH Diagnostics
If the login
name
cannot be found,
.I cuserid\^
returns
.SM
NULL;
if
.I s\^
is nonzero in this case,
\e0
will be placed at
.IR \(**s .
.SH "See Also"
getlogin(S), 
.I getpwent\^
in getpwent(S)
.SH Notes
.I Cuserid\^
uses 
\fIgetpwnam\fR (see
.IR getpwent (S));
thus the results of a user's call to the latter will be
obliterated by a subsequent call to the former.
'\".br
'\"The name
'\".I cuserid\^
'\"is rather a misnomer.
