.\" bm# 0000002320
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH DEFOPEN S
.SH Name
defopen, defread \- Reads default entries.
.SH Syntax
.B int defopen(filename)
.br
.B char *filename;
.PP
.B char *defread(pattern)
.br
.B char *pattern;
.br
.SH Description
.I Defopen
and
.I defread
are a pair of routines designed to allow easy access 
to default definition files.
.SM XENIX
is normally distributed in binary form; 
the use of default files allows
OEMS or site administrators to customize utility defaults without
having the source code.
.P
.I Defopen
opens the default file named by the pathname in 
.IR filename .
.I Defopen
returns null if it is successful in opening the file, or the
.I fopen
failure code
.I \fR(\fPerrno\fR)\fP
if the open fails.
.P
.I Defread
reads the previously opened file from the beginning until it encounters
a line beginning with
.I pattern.
.I Defread
then returns a pointer 
to the first character in the line after the initial
.I pattern.
If a trailing newline character is read it is replaced by a null byte.
.P
When all items of interest have been extracted from the opened file
the program may call
.I defopen
with the name of another file to be searched, or it may call
.I defopen
with
.SM NULL,
which closes the default file without opening another.
.SH Files
The 
.SM XENIX 
convention is for a system program
.I xyz
to store its defaults (if any) in the file
.BR /etc/default/xyz .
.SH Diagnostics
.I Defopen
returns zero on success and nonzero if the open fails.  
The return value is the
.I errno
value set by
.IR fopen\^ (S).
.P
.I Defread
returns
.SM NULL
if a default file is not open, if the indicated pattern could not be
found, or if it encounters any line in the file greater than the
maximum length of 128 characters.
