.\" bm# 0000002319
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH DUP S 
.SH Name
dup, dup2 \- Duplicates an open file descriptor.
.SH Syntax
.B int dup (fildes)
.br
.B int fildes;
.PP
.B dup2(fildes, fildes2)
.br
.B int fildes, fildes2;
.SH Description
.I Fildes\^
is a
file descriptor
obtained from a
.IR creat ,
.IR open ,
.IR dup ,
.IR fcntl ,
or
.I pipe\^
system call.
.I Dup\^
returns a new
file descriptor
having the following in common with the original:
.IP
Same open file (or pipe).
.IP
Same file pointer
(i.e., both file descriptors share one file pointer).
.IP
Same access mode (read, write or read/write).
.PP
The new
file descriptor
is set to remain open across
.I exec\^
system calls.
See
.IR fcntl\^ (S).
.PP
.I Dup 
returns the lowest available file descriptor.
.I Dup2
causes
.I fildes2
to refer to the same file as
.I fildes.
If
.I fildes2
already referred to an open file, it is closed first.
.PP
.I Dup\^
will fail if one or more of the following are true:
.IP
.I Fildes\^
is not a valid open
file descriptor.
.SM
\%[EBADF]
.IP
Twenty file descriptors
are currently open.
.SM
\%[EMFILE]
.SH "Return Value"
Upon successful completion a nonnegative integer,
namely the
file descriptor,
is returned.
Otherwise, a value of \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
creat(S), close(S), exec(S), fcntl(S), open(S), pipe(S)
