.\" bm# 0000002318
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH ECVT S 
.SH Name
ecvt, fcvt, gcvt \- Performs output conversions.
.SH Syntax
.B char \(**ecvt (value, ndigit, decpt, sign)
.br
.B double value;
.br
.B int ndigit, \(**decpt, \(**sign;
.PP
.B char \(**fcvt (value, ndigit, decpt, sign)
.br
.B double value;
.br
.B int ndigit, \(**decpt, \(**sign;
.PP
.B char \(**gcvt (value, ndigit, buf)
.br
.B double value;
.br
.B char \(**buf;
.SH Description
.I Ecvt\^
converts the 
.I value\^
to a null-terminated string of
.I ndigit\^
\s-1ASCII\s0 digits
and returns a pointer to the string.
The position of the decimal point relative to the
beginning of the string is stored indirectly
through
.IR decpt ""
(negative means to the left of the
returned digits).
If the sign of the result is negative,
the word pointed to by
.IR sign ""
is nonzero, otherwise
it is zero.
The low-order digit is rounded.
.PP
.IR Fcvt " is identical to " "ecvt\fR, except that the correct digit"
has been rounded for FORTRAN F format output of the number
of digits specified by
.IR ndigits .
.PP
.I Gcvt\^
converts the
.I value\^
to a null-terminated \s-1ASCII\s0 string in
.I buf\^
and returns a pointer to 
.IR buf .
It attempts to produce
.I ndigit\^
significant digits in FORTRAN F format if
possible, otherwise E format, ready for
printing.
Trailing zeros may be suppressed.
.SH "See Also"
printf(S)
.SH Notes
The return values point to static data
whose content is overwritten by each call.
