.\" bm# 0000002316
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH EXIT S 
.SH Name
exit \- Terminates a process.
.SH Syntax
.B exit (status)
.br
.B int status;
.SH Description
.I Exit\^
terminates the calling process.
All of the file descriptors open in the calling process are closed.
.PP
If the parent process of the calling process is executing a
.IR wait ,
it is notified of the calling process'
termination and the low-order 8 bits (i.e., bits 0377) of
.I status\^
are made available to it; see
.IR wait (S).
.PP
If the parent process of the calling process is not executing a
.IR wait ,
the calling process is transformed into a ``zombie process.''
A
zombie process 
is a process that only occupies a slot in the process table,
it has no other space allocated either in user or kernel space.
The process table slot that it occupies is partially overlaid with
time accounting information
(see
.BR <sys/proc.h> )
to be used by
.IR times (S).
.PP
The parent process
.SM ID
of all of the calling process' existing
child processes  and zombie processes is set to 1.
This means the initialization process (see
.IR intro (S))
inherits each of these processes.
.PP
An accounting record is written on the accounting file if the system's 
accounting routine is enabled; see
.IR acct\^ (S).
.PP
If the process
.SM ID\*S,
tty group
.SM ID\*S,
and process group
.SM ID
of the calling process are equal, the
.SM
.B SIGHUP
signal is sent to each processes that has a process group
.SM ID
equal to that of the calling process.
.SH "See Also"
signal(S), wait(S)
.SH Warning
See
.SM
.I Warning\^
in
.IR signal (S)
