.\" bm# 0000002315
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH EXP S
.SH Name
exp, log, pow, sqrt, log10 \- Performs exponential, logarithm, power, square root functions.
.SH Syntax
.B #include <math.h>
.PP
.B double exp (x)
.br
.B double x;
.PP
.B double log (x)
.br
.B double x;
.PP
.B double pow (x, y)
.br
.B double x, y;
.PP
.B double sqrt (x)
.br
.B double x;
.PP
.B double log10 (x)
.br
.B double x;
.SH Description
.I Exp\^
returns the exponential function of
.IR x .
.PP
.I Log\^
returns the natural logarithm of
.IR x .
.PP
.I Pow\^
returns
.IR x\u\s8y\s10\d .
.PP
.I Sqrt\^
returns the square root of
.IR x .
.SH "See Also"
intro(S),
hypot(S),
sinh(S)
.SH Diagnostics
.I Exp\^
and
.I pow\^
return a huge value
when the correct value would
overflow.
A truly outrageous argument may also result in
.I errno\^
being set to
.SM
ERANGE\*S .
.I Log\^
returns a huge negative value
and sets
.I errno\^
to
.SM
EDOM
when
.I x\^
is nonpositive.
.I Pow\^
returns a huge negative value and sets
.I errno\^
to
.SM
EDOM
when
.I x\^
is nonpositive and
.I y\^
is not an integer, or when
.I x\^
and
.I y\^
are both zero.
.I Sqrt\^
returns 0 and sets
.I errno\^
to
.SM
EDOM
when
.I x\^
is negative.
