.\" bm# 0000002314
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH FCLOSE S 
.SH Name
fclose, fflush \- Closes or flushes a stream. 
.SH Syntax
.B #include <stdio.h>
.PP
.B int fclose (stream)
.br
.SM
.B FILE
.B \(**stream;
.PP
.B int fflush (stream)
.br
.SM
.B FILE
.B \(**stream;
.SH Description
.I Fclose\^
causes any buffers for the named
.I stream\^
to be emptied, and the file to be closed.
Buffers allocated by the standard input/output system
are freed.
.PP
.I Fclose\^
is performed automatically upon
calling
.IR  exit (S).
.PP
.I Fflush\^
causes any buffered data for the named output
.I stream\^
to be written to that file.
The stream remains open.
.PP
These functions return 0 for success, and
.SM
EOF
if any errors were detected.
.SH "See Also"
close(S),
fopen(S),
setbuf(S)
