.\" bm# 0000002312
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH FERROR S
.SH Name
ferror, feof, clearerr, fileno \- Determines stream status.
.SH Syntax
.B #include <stdio.h>
.PP
.B int feof (stream)
.br
.SM
.B FILE
.B \(**stream;
.PP
.B int ferror (stream)
.br
.SM
.B FILE
.B \(**stream
.PP
.B clearerr (stream)
.br
.SM
.B FILE
.B \(**stream
.PP
.B int fileno(stream)
.br
.SM
.B FILE
.B \(**stream;
.SH Description
.I Feof\^
returns nonzero when end-of-file is read on the named input
.IR stream ,
otherwise zero.
.PP
.I Ferror\^
returns nonzero when an error has occurred reading or writing
the named
.IR stream ,
otherwise zero.
Unless cleared by
.IR clearerr ,
the error indication lasts until
the stream is closed.
.PP
.I Clearerr\^
resets the error indication on the named
.IR stream .
.PP
.I Fileno\^
returns the integer file descriptor
associated with the
.IR stream ,
see
.IR open (S).
.PP
.IR Feof ,
.IR ferror ,
and
.I fileno\^
are implemented as macros;
they cannot be redeclared.
.SH "See Also"
open(S),
fopen(S)
