.\" bm# 0000002310
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH FOPEN S 
.SH Name
fopen, freopen, fdopen \- Opens a stream.
.SH Syntax
.B #include <stdio.h>
.PP
.SM
.B FILE
.B \(**fopen (filename, type)
.br
.B char \(**filename, \(**type;
.PP
.SM
.B FILE
.B \(**freopen (filename, type, stream)
.br
.B char \(**filename, \(**type;
.br
.SM
.B FILE
.B \(**stream;
.PP
.SM
.B FILE
.B \(**fdopen (fildes, type)
.br
.B int fildes;
.br
.B char \(**type;
.SH Description
.I Fopen\^
opens the file named by
.I filename\^
and associates a stream with it.
.I Fopen\^
returns a pointer to be used to identify
the stream in subsequent operations.
.PP
.I Type\^
is a character string having one of the following values:
.TP 5
r
Open for reading
.TP 5
w
Create for writing
.TP 5
a
Append; open for writing at end
of file, or create for writing
.TP 5
r+
Open for update (reading and writing)
.TP 5
w+
Create for update
.TP 5
a+
Append; open or create for
update at end of file
.PP
.I Freopen\^
substitutes the named file in place
of the open
.IR stream .
It returns the original value of
.IR stream .
The original stream is closed,
regardless of whether the open
call ultimately succeeds.
.PP
.I Freopen\^
is typically used to attach the preopened
constant names
.BR stdin ,
.BR stdout ,
and
.BR stderr
to specified files.
.PP
.I Fdopen\^
associates a stream with a file descriptor obtained from
.IR open ,
.IR dup ,
.IR creat ,
or
.IR pipe (S).
The
.I type\^
of the stream must agree with the mode of the open file.
The 
.I type
must be provided because the standard I/O library has no way to query
the type of an open file descriptor.
.I Fdopen
returns the new stream.
.PP
When a file is opened for update, both input and output may be
done on the resulting stream.
However, output may not be directly followed by input without an
intervening
.I fseek\^
or
.IR rewind ,
and input may not be directly followed by output without an
intervening
.IR fseek ,
.IR rewind ,
or an input operation which encounters the end of the
file.
.SH "See Also"
open(S),
fclose(S)
.SH Diagnostics
.I Fopen\^
and 
.I freopen\^
return the pointer
.SM
NULL
if
.I filename\^
cannot be accessed.
