.\" bm# 0000002309
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH FORK S 
.SH Name
fork \- Creates a new process.
.SH Syntax
.B int fork (\|)
.SH Description
.I Fork\^
causes creation of a new process.
The new process (child process) is an
exact copy of the calling process (parent process) except for the
following:
.IP
The child process has a unique process
.SM ID\*S.
.IP
The child process has a different parent process
.SM ID
(i.e., the
process
.SM ID
of the parent process).
.IP
The child process has its own copy of the parent's file descriptors.
Each of the child's file descriptors shares 
a common file pointer with the
corresponding file descriptor of the parent.
.IP
The child process'
.IR utime , " stime" , " cutime" ,
and
.I cstime\^
are set to 0;
see
.IR times (S).
.IP
The time left on the parent's alarm clock is not
passed on to the child.
.PP
.I Fork\^
returns a value of 0
to the child process.
.PP
.I Fork\^
returns the process
.SM ID
of the child process to the
parent process.
.PP
.I Fork\^
will fail and no child process will be created if one or more of the
following are true:
.IP
The system-imposed limit on the total number 
of processes under execution would be exceeded.
.SM
\%[EAGAIN]
.IP
The system-imposed limit on the total number of processes 
under execution by a single user would be exceeded.
.SM
\%[EAGAIN]
.IP
Not enough memory is available to create the forked image.
.SM
\%[ENOMEM]
.SH "Return Value"
Upon successful completion,
.I fork\^
returns a value of 0 to the child process and returns the process
.SM ID
of the
child process to the parent process.
Otherwise, a value of \-1 is
returned to the parent process, no child process is created, and
.I errno\^
is set to indicate the error.
.SH "See Also"
exec(S), wait(S)
