.\" bm# 0000002306
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH FSEEK S
.SH Name
fseek, ftell, rewind \- Repositions a stream.
.SH Syntax
.B #include <stdio.h>
.PP
.B int fseek (stream, offset, ptrname)
.br
.SM
.B FILE\*S \(**stream;
.br
.B long offset;
.br
.B int ptrname;
.PP
.B long ftell (stream)
.br
.SM
.B FILE\*S \(**stream;
.PP
.B rewind(stream)
.br
.SM
.B FILE\*S \(**stream;
.SH Description
.I Fseek\^
sets the position of the next input or output
operation on the
.IR stream .
The new position is at the signed distance
.I offset\^
bytes
from the beginning, the current position, or the end of the file,
according as
.I ptrname\^
has the value 0, 1, or 2.
.PP
.I Fseek\^
undoes any effects of
.IR ungetc (S).
.PP
After
.I fseek\^
or
.IR rewind ,
the next operation on an update file
may be either input or output.
.PP
.I Ftell\^
returns the current value of the offset relative to the beginning
of the file associated with the named
.IR stream .
The
offset
is measured in bytes.
.PP
.IR Rewind ( stream )
is equivalent to
.IR fseek ( stream ", 0L, 0)."
.SH "See Also"
lseek(S),
fopen(S)
.SH Diagnostics
.I Fseek\^
returns nonzero for improper seeks,
otherwise zero.
