.\" bm# 0000002305
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH GAMMA S
.SH Name
gamma \- Performs log gamma function.
.SH Syntax
.B #include <math.h>
.br
.B extern int signgam;
.PP
.B double gamma (x)
.br
.B double x;
.SH Description
.I Gamma\^
returns
\f2ln\^\fP\||\^\(*G(\||\|\f2x\^\fP\||\|)|\|.
The sign of
\(*G(\||\|\f2x\^\fP\||\|)
is returned in the external integer
.IR signgam .
The following C program fragment might be
used to calculate
\(*G:
.PP
.RS
.nf
y \|= \|gamma \|(x);
if \|(y \|> \|88.0)
	error \|(\|);
y \|= \|exp \|(y) \|\(** \|signgam;
.fi
.RE
.SH Diagnostics
For negative integer arguments, a huge value is returned,
and
.I errno\^
is set to
.SM
EDOM.
