.\" bm# 0000002304
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH GETC S
.SH Name
getc, getchar, fgetc, getw \- Gets character or word from a stream.
.SH Syntax
.B #include <stdio.h>
.PP
.B int getc (stream)
.br
.SM
.B FILE\*S \(**stream;
.PP
.B int getchar (\|)
.PP
.B int fgetc (stream)
.br
.SM
.B FILE\*S \(**stream;
.PP
.B int getw (stream)
.br
.SM
.B FILE\*S \(**stream;
.SH Description
.I Getc\^
returns the next character from the named input
.IR stream .
.PP
.IR Getchar "(\|)"
is identical to
.IR getc ( stdin ).
.PP
.I Fgetc\^
behaves like
.IR getc ,
but is a genuine function, not a macro;
it may therefore be used as an argument.
.I Fgetc\^
runs more slowly than
.IR getc ,
but takes less space per invocation.
.PP
.I Getw\^
returns the next
word from the named input
.IR stream .
It returns the constant
.SM
EOF
upon end-of-file or error, but since that is a valid
integer value,
.I feof\^
and
.IR ferror (S)
should be used to check the success of
.IR getw .
.I Getw\^
assumes no special alignment in the file.
.SH "See Also"
ferror(S),
fopen(S),
fread(S),
gets(S),
putc(S),
scanf(S)
.SH Diagnostics
These functions return the integer constant
.SM
EOF
at the end-of-file or upon a read error.
.SH Notes
Because 
.I getc\^
is implemented as a macro,
.I stream\^
arguments with side effects are treated incorrectly.
In particular,
``getc( *f++ )''
doesn't work properly.
