.\" bm# 0000002301
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH GETGRENT S 
.SH Name
getgrent, getgrgid, getgrnam, setgrent, endgrent \- Get group file entry.
.SH Syntax
.B #include <grp.h>
.PP
.B struct group \(**getgrent ( );
.PP
.B struct group \(**getgrgid (gid)
.br
.B int gid;
.PP
.B struct group \(**getgrnam (name)
.br
.B char \(**name;
.PP
.B int setgrent ( );
.PP
.B int endgrent ( );
.SH Description
.IR Getgrent ,
.I getgrgid\^
and
.I getgrnam\^
each return pointers.
The format of the structure is defined in 
.B /usr/include/grp.h.
'\"to an object
'\"with the following structure
'\"containing the broken-out
'\"fields of a line in the group file.
'\".RS
'\".PP
'\".nf
'\".ta .5i .88i
'\".so /usr/include/grp.h
'\".fi
'\".RE
.PP
The members of this structure are:
.RS
.TP 13
gr_name
The name of the group.
.TP
gr_passwd
The encrypted password of the group.
.TP
gr_gid
The numerical group
.SM ID\*S.
.TP
gr_mem
Null-terminated vector
of pointers to the individual
member names.
.PD
.RE
.PP
.I Getgrent\^
reads the next
line of the file,
so successive calls may be
used to search the entire file.
.I Getgrgid\^
and
.I getgrnam\^
search from the beginning of the file until a matching
.I gid\^
or
.I name\^
is found,
or
end-of-file
is encountered.
.PP
A call to
.I setgrent\^
has the effect of rewinding
the group file
to allow
repeated searches.
.I Endgrent\^
may be called to
close the group file
when processing is complete.
.SH Files
/etc/group
.SH "See Also"
getlogin(S), getpwent(S), group(M)
.SH Diagnostics
A null pointer
(0) is returned on
end-of-file or error.
.SH Notes
All information
is contained in a static area,
so it must be copied if it is
to be saved.
