.\" bm# 0000002430
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH GETLOGIN S 
.SH Name
getlogin \- Gets login name.
.SH Syntax
.B char \(**getlogin ( );
.SH Description
.I Getlogin\^
returns a pointer to
the login name
as found in
.BR /etc/utmp .
It may be used
in conjunction
with
.I getpwnam\^
to locate the correct
password file entry
when the same user
.SM ID
is shared by several
login names.
.PP
If
.I getlogin\^
is called within a process
that is not attached to a
terminal device, it returns
.SM
NULL.
The correct procedure
for determining the login name
is to call
.IR cuserid ,
or to call
.I getlogin\^
and if it fails,
to call
.IR getpwuid .
.SH Files
/etc/utmp
.SH "See Also"
cuserid(S), getgrent(S), getpwent(S), utmp(M)
.SH Diagnostics
Returns
.SM
NULL
if name not found.
.SH Notes
The return values point to static data
whose content is overwritten by each call.
