.\" bm# 0000002425
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH GETPWENT S 
.SH Name
getpwent, getpwuid, getpwnam, setpwent, endpwent \- Gets password file entry.
.SH Syntax
.B #include <pwd.h>
.PP
.B struct passwd \(**getpwent ( );
.PP
.B struct passwd \(**getpwuid (uid)
.br
.B int uid;
.PP
.B struct passwd \(**getpwnam (name)
.br
.B char \(**name;
.PP
.B int setpwent ( );
.PP
.B int endpwent ( );
.SH Description
.IR Getpwent ,
.I getpwuid\^
and
.I getpwnam\^
each returns a pointer to a structure
containing the fields of an entry line in the password file.
The structure of a password entry is defined in 
.BR /usr/include/pwd.h .
.PP
The fields have meanings described in
.IR passwd (M).
(The
.I pw_comment\^
field is unused.) 
.PP
.I Getpwent\^
reads the next line in the
file, so successive calls can
be used to search the entire file.
.I Getpwuid\^
and
.I getpwnam\^
search from the beginning of the
file until a matching
.I uid\^
or
.I name\^
is found, or
.SM
EOF
is encountered.
.PP
A call to
.I setpwent\^
has the effect of rewinding
the password file
to allow
repeated searches.
.I Endpwent\^
may be called to
close the password file
when processing is complete.
.SH Files
/etc/passwd
.SH "See Also"
getlogin(S), getgrent(S), passwd(M)
.SH Diagnostics
Null pointer
(0) returned on
.SM
EOF
or error.
.SH Notes
All information
is contained in a static area
so it must be copied if it is
to be saved.
.br
