.\" bm# 0000002424
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH GETS S 
.SH Name
gets, fgets \- Gets a string from a stream.
.SH Syntax
.B #include <stdio.h>
.PP
.B char \(**gets (s)
.br
.B char \(**s;
.PP
.B char \(**fgets (s, n, stream)
.br
.B char \(**s;
.br
.B int n;
.br
.SM
.B FILE
.B \(**stream;
.SH Description
.I Gets\^
reads a string into
.I s\^
from the standard input stream
.BR stdin .
The function replaces the newline
character at the end of the string 
with a null character before copying to
.IR s .
.I Gets\^
returns a pointer to
.IR s . 
.PP
.I Fgets\^
reads characters from the 
.I stream 
until a newline character is encountered or 
until
.IR n \-1
characters have been read.
The characters are then copied to the string
.IR s .
A null character is automatically appended to 
the end of the string before copying.
.I Fgets\^
returns a pointer to 
.IR s .
.SH "See Also"
ferror(S),
fopen(S),
fread(S),
getc(S),
puts(S),
scanf(S)
.SH Diagnostics
.I Gets\^
and
.I fgets\^
return the constant pointer 
.SM
NULL
upon end-of-file or error.
.SH Notes
.I Gets\^
deletes the newline ending its input, but
.I fgets\^
keeps it.
