.\" bm# 0000002421
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH IOCTL S 
.SH Name
ioctl \- Controls character devices.
.SH Syntax
.B #include <sys/ioctl.h>
.PP
.B ioctl(fildes, request, arg)
.br
.B int fildes;
.SH Description
.I Ioctl\^
performs a variety of functions
on character special files (devices).
The writeups of various devices
in Section M discuss how
.I ioctl\^
applies to them.
.PP
.I Ioctl\^
will fail if one or more of the following are true:
.IP
.I Fildes\^
is not a valid open file descriptor.
.SM
\%[EBADF]
.IP
.I Fildes\^
is not associated with a character special device.
.SM
\%[ENOTTY]
.IP
.I Request\^
or
.I arg\^
is not valid.
See
.IR tty (M).
.SM
\%[EINVAL]
.SH "Return Value"
If an error has occurred,
a value of \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
tty(M)
