.\" bm# 0000002418
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH LINK S 
.SH Name
link \- Links a new filename to an existing file.
.SH Syntax
.B int link (path1, path2)
.br
.B char \(**path1, \(**path2;
.SH Description
.I Path1\^
points to a
pathname
naming an existing file.
.I Path2\^
points to a
pathname
giving the new filename to be linked.
.I Link\^
makes a new link by creating a new directory entry for 
the existing file using the new name.  The contents
of the existing file can then be accessed using either
name.
.PP
.I Link\^
will fail and no link will be created if one or more of the following
are true:
.IP
A component of either
path prefix
is not a directory.
.SM
\%[ENOTDIR]
.IP
A component of either
path prefix
does not exist.
.SM
\%[ENOENT]
.IP
A component of either
path prefix
denies search permission.
.SM
\%[EACCES]
.IP
The file named by
.I path1\^
does not exist.
.SM
\%[ENOENT]
.IP
The link named by
.I path2\^
already exists.
.SM
\%[EEXIST]
.IP
The file named by
.I path1\^
is a directory and the effective user
.SM ID
is not super-user.
.SM
\%[EPERM]
.IP
The link named by
.I path2\^
and the file named by
.I path1\^
are on different logical devices (file systems).
.SM
\%[EXDEV]
.IP
.I Path2\^
points to a null pathname.
.SM
\%[ENOENT]
.IP
The requested link requires writing in a directory
with a mode
that denies write permission.
.SM
\%[EACCES]
.IP
The requested link requires writing in a directory on a read-only file system.
.SM
\%[EROFS]
.IP
.I Path\^
points outside the process' allocated address space.
.SM
\%[EFAULT]
.bp
.SH "Return Value"
Upon successful completion, a value of 0 is returned.
Otherwise, a value of \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
ln(C)
