.\" bm# 0000002414
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH LSEARCH S 
.SH Name
lsearch \- Performs linear search and update.
.SH Syntax
.B "char \(**lsearch (key, base, nelp, width, compar)"
.br
.B char \(**key;
.br
.B char \(**base;
.br
.B int \(**nelp;
.br
.B int width;
.br
.B int (\(**compar)();
.SH Description
.I Lsearch\^
is a linear search routine generalized from Knuth (6.1) Algorithm Q.
It returns a pointer into a table indicating the location at which
a datum may be found.  If the item does not occur, it is added
at the end of the table.
The first argument is a pointer to the datum to be located in the table.
The second argument is a pointer to the base of the table.
The third argument is the address of an integer containing the number of 
items in the table.  It is incremented if the item is added to the table.
The fourth argument is the width of an element
in bytes.
The last argument is the name of the comparison routine.
It is called with two arguments which are pointers
to the elements being compared.
The routine must return zero if the items are equal,
and nonzero otherwise.
.SH Notes
Unpredictable events can occur if there is 
not enough room in the table to
add a new item.
.SH "See Also"
bsearch(S), qsort(S)
