.\" bm# 0000002413
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH LSEEK S 
.SH Name
lseek \- Moves read/write file pointer.
.SH Syntax
.B long lseek (fildes, offset, whence)
.br
.B int fildes;
.br
.B long offset;
.br
.B int whence;
.SH Description
.I Fildes\^
is a
file descriptor
returned from a
.IR creat ,
.IR open ,
.IR dup ,
or
.I fcntl\^
system call.
.I Lseek\^
sets the file pointer associated with
.I fildes\^
as follows:
.PP
If
.I whence\^
is 0, the pointer is set to
.I offset\^
bytes.
.PP
If
.I whence\^
is 1, the pointer is set to its current location plus
.IR offset .
.PP
If
.I whence\^
is 2, the pointer is set to the size of the
file plus
.IR offset .
.PP
Upon successful completion, the resulting pointer location
as measured in bytes from the beginning of the file is returned.
.PP
.I Lseek\^
will fail
and the file pointer will remain unchanged
if one or more of the following are true:
.IP
.I Fildes\^
is not an open file descriptor.
.SM
\%[EBADF]
.IP
.I Fildes\^
is associated with a pipe or fifo.
.SM
\%[ESPIPE]
.IP
.I Whence\^
is not 0, 1 or 2.
.SM
\%[EINVAL
and
.SM
SIGSYS
\%signal]
.IP
The resulting file pointer would be negative.
.SM
\%[EINVAL]
.PP
Some devices are incapable of seeking.
The value of the file pointer associated with such a device
is undefined.
.SH "Return Value"
Upon successful completion, a nonnegative integer
indicating the file pointer value
is returned.
Otherwise, a value of \-1 is returned and
.I errno\^
is set to indicate the error.
.br
.ne 1i
.SH "See Also"
creat(S), dup(S), fcntl(S), open(S)
