.\" bm# 0000002409
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH MONITOR S 
.SH Name
monitor \- Prepares execution profile.
.SH Syntax
.B monitor (lowpc, highpc, buffer, bufsize, nfunc)
.br
.B
int (\(**lowpc)( ), (\(**highpc)( );
.br
.B
short buffer[ ];
.br
.B int bufsize, nfunc;
.SH Description
.I Monitor\^
is an interface to
.IR profil (S).
.I Lowpc\^
and
.I highpc\^
are the addresses of two functions;
.I buffer\^
is the address of a user-supplied
array of
.I bufsize\^
short integers.
.I Monitor\^
arranges to record a histogram of
periodically sampled values of the program counter,
and of counts of calls
of certain functions, in the buffer.
The lowest address sampled
is that of
.I lowpc\^
and the highest is
just below
.IR highpc .
At most
.I nfunc\^
call counts can be kept; only calls of functions
compiled with the profiling option
.B \-p
of
.IR cc (CP)
are recorded.
For the results to be significant,
especially where there are small, heavily
used routines,
it is suggested that the buffer be no more
than a few times smaller than the range
of locations sampled.
.PP
To profile the entire program,
it is sufficient to use
.PP
	extern etext();
.br
	...
.br
	monitor(2, etext, buf, bufsize, nfunc);
.PP
.I Etext\^
lies just above all the
program text.
.PP
To stop execution monitoring and write the results
on the file
.BR mon.out ,
use
.PP
	monitor(0);
.PP
.IR prof (CP)
can then be used
to examine the results.
.SH Files
mon.out
.SH "See Also"
cc(CP), prof(CP), profil(S)
.SH Notes
An executable program created by
.B cc \-p
automatically includes calls for
.I monitor\^
with default parameters;
.I monitor\^
needn't be called explicitly
except to gain fine control over profiling.
