.\" bm# 0000002407
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH NAP S
.SH Name
nap \- Suspends execution for a short interval.
.SH Syntax
.B long nap(period)
.br
.B long period;
.SH Description
The current process is suspended from execution for at least
the number of milliseconds specified by
.IR period ,
or until a signal is received.
.SH "Return Value"
On successful completion, 
a long integer indicating the number of milliseconds
actually slept is returned.  
If the process recieved a signal while napping,
the return value will be -1, and 
.IR errno
will be set to 
.SM EINTR.
.SH Notes
This function is driven by the system clock, which in most cases
has a granularity of tens of milliseconds.
.SH "See Also"
sleep(S)
