.\" bm# 0000002406
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH NICE S 
.SH Name
nice \- Changes priority of a process.
.SH Syntax
.B int nice (incr)
.br
.B int incr;
.SH Description
.I Nice\^
adds the value of 
.I incr\^
to the nice value of the calling process.
A process' nice value
is a positive number for which a higher value
results in lower
.SM CPU
priority.
.PP
A maximum nice value of 39 and a minimum nice value of 0
are imposed by the system.
Requests for values above or below these limits result in the nice value
being set to the corresponding limit.
.PP
.I Nice\^
will not change the nice value if
.I incr\^
is negative and the effective user
.SM ID
of the calling process is not super-user.
.SM
\%[EPERM]
.SH "Return Value"
Upon successful completion,
.I nice\^
returns the new nice value minus 20.
Note that 
.I nice 
is unusual in the
way return codes are handled. 
It differs from most other system calls in two ways:
the value \-1 is a valid return code (in the
case where the new nice value is 19), 
and the system call either works or ignores 
the request; there is never an error.
.SH "See Also"
nice(C), exec(S)
