.\" bm# 0000002405
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH NLIST S 
.SH Name
nlist \- Gets entries from name list.
.SH Syntax
.B #include <a.out.h>
.br
.B nlist (filename, nl)
.br
.B char \(**filename;
.br
.nf
.ft 3
struct nlist nl[ ];
.fi
.SH Description
.I Nlist\^
examines the name list in
the given executable output file
and selectively extracts a
list of values.
The name list consists of
an array of structures containing names,
types and values.
The list is terminated with a null name.
Each name is looked up in the name list of
the file.
If the name is found, the type and value of the
name are inserted in the next two fields.
If the name is not found, both entries are set to 0.
See
.IR a.out (F)
for a discussion of the symbol table structure.
.SH "See Also"
a.out(F), xlist(S)
.SH Diagnostics
.I Nlist 
return \-1 and sets all type entries to 0 if the file
cannot be read, is not an object file, or contains
an invalid name list.  Otherwise, 
.I nlist
returns 0.  A return value of 0 does not 
indicate that any or all symbols were found.
