.\" bm# 0000002403
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH OPENSEM S
.SH Name
opensem \- Opens a semaphore.
.SH Syntax
.B sem_num = opensem(sem_name);
.br
.B int sem_num;
.br
.B char *sem_name;
.SH Description
.I Opensem
opens a semaphore named by
.I sem_name
and returns the unique semaphore identification number
.I sem_num
used by
.I waitsem
and
.I sigsem.
.I Creatsem
should always be called to initialize the semaphore before the
first attempt to open it, or to reset the semaphore if it has become
inconsistent due to an exiting process neglecting to do a sigsem after 
issuing a waitsem.
.SH "See Also"
creatsem(S), waitsem(S), sigsem(S)
.SH Diagnostics
.I Opensem
returns the value \-1 if an error occurs.
If the semaphore named does not exist,
.I errno 
is set to \s-1ENOENT\s+1.
If the file specified is not a semaphore file (i.e.,
a file previously created by a process using a call to
.IR creatsem ),
.I errno 
is set to \s-1ENOTNAM\s+1.
If the semaphore has become invalid due to inappropriate use,
.I errno 
is set to \s-1ENOTAVAIL\s+1.
