.\" bm# 0000002401
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH PERROR S 
.SH Name
perror, sys_errlist, sys_nerr, errno \- Sends system error messages.
.SH Syntax
.B perror (s)
.br
.B char \(**s;
.PP
.B int sys_nerr;
.br
.B char \(**sys_errlist[ ];
.PP
.B int errno;
.SH Description
.I Perror\^
produces a short error message
on the standard error,
describing the last error encountered during a system call
from a C program.
First the argument string
.I s\^
is printed, then a colon, then the message and a newline.
To be of most use, the argument string should be the name
of the program that incurred the error.
The error number is taken from the external variable
.IR errno ,
which is set when errors occur but not cleared when
correct calls are made.
.PP
To simplify variant formatting
of messages, the vector of message strings
.I sys_errlist\^
is provided;
.I errno\^
can be used as an index in this table to get the
message string without the newline.
.I Sys_nerr\^
is the largest message number provided for in the table;
it should be checked because new
error codes may be added to the system before
they are added to the table.
.SH "See Also"
intro(S)
