.\" bm# 0000002400
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH PIPE S 
.SH Name
pipe \- Creates an interprocess pipe.
.SH Syntax
.B int pipe (fildes)
.br
.B int fildes[2];
.SH Description
.I Pipe\^
creates an I/O mechanism called a pipe and returns two file descriptors
in the array 
.IR fildes .
.IR Fildes [0]
is opened for reading and
.IR fildes [1]
is opened for writing.  The descriptors remain open
across 
.IR fork (S)
system calls, making communication between parent
and child possible.
.PP
Writes up to
5120
bytes
of data are buffered by the pipe before the writing process is blocked.
A read on file descriptor
.IR fildes [0]
accesses the data written to
.IR fildes [1]
on a first-in-first-out basis.
.PP
No process may have more than
20
file descriptors open simultaneously.
.PP
.I Pipe\^
will fail if
19
or more
file descriptors are currently open.
.SM
\%[EMFILE]
.SH "Return Value"
Upon successful completion,
a value of 0
is returned.
Otherwise, a value of \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
sh(C), read(S), write(S), fork(S), popen(S)
