.\" bm# 0000002399
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH POPEN S
.SH Name
popen, pclose \- Initiates I/O to or from a process.
.SH Syntax
.B #include <stdio.h>
.PP
.SM
.B FILE
.B \(**popen (command, type)
.br
.B char \(**command, \(**type;
.PP
.B int pclose (stream)
.br
.SM
.B FILE
.B \(**stream;
.SH Description
The arguments to 
.I popen\^
are pointers to null-terminated strings containing, respectively, a
shell command line and an I/O mode, either ``r''
for reading or ``w'' for writing.
.I Popen\^
creates a pipe between the calling process and the command to be executed.
The value returned 
is a stream pointer that
can be used (as appropriate) to write to the standard input
of the command or read from its standard output.
.PP
A stream opened by
.I popen\^
should be closed by
.IR pclose ,
which waits for the associated process to terminate
and returns the exit status of the command.
Because open files are shared between processes, a type
``r'' command may be used as an input filter, and a type
``w'' as an output filter.
.SH "See Also"
pipe(S), wait(S), fclose(S), fopen(S), system(S)
.SH Diagnostics
.I Popen\^
returns a null pointer
if files or processes cannot be created, or if the shell 
cannot be accessed.
.PP
.I Pclose\^
returns \-1 if
.I stream\^
is not associated with a
.IR  popen\^ ed
command.
.SH Notes
Only one stream opened by
.I popen\^
can be in use at once.
Buffered reading before opening an input filter
may leave the standard input of that filter mispositioned.
Similar problems with an output filter may be
forestalled by careful buffer flushing; see
.IR fclose (S).
