.\" bm# 0000002397
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH PROFIL S 
.SH Name
profil \- Creates an execution time profile.
.SH Syntax
.B profil (buff, bufsiz, offset, scale)
.br
.B char \(**buff;
.br
.B int bufsiz, offset, scale;
.SH Description
.I Buff\^
points to an area of core whose length (in bytes) is given by
.IR bufsiz .
After this call, the user's program counter 
is examined each clock tick, where a clock tick is some
fraction of a second given in 
.IR machine (M).
.I Offset\^
is subtracted from it, and the result multiplied by
.IR scale .
If the resulting number corresponds to a word
inside
.IR buff ,
that word is incremented.
.PP
The scale is interpreted as an unsigned,
fixed-point fraction with binary point at the
left: 0177777 (octal) gives a 1-1 mapping of pc's to words
in
.IR buff ;
077777 (octal) maps each pair of instruction words
together.
02(octal) maps all instructions onto the beginning of
.I buff\^
(producing a noninterrupting core clock).
.PP
Profiling is turned off by giving a
.I scale\^
of 0 or 1.
It is rendered
ineffective by giving a
.I bufsiz\^
of 0.
Profiling is turned off when an
.I exec\^
is executed, but remains on in child and parent both
after a
.IR fork .
Profiling will be turned off if an update in
.I buff\^
would cause a memory fault.
.SH "See Also"
prof(CP), monitor(S)
