.\" bm# 0000002395
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH PUTC S
.SH Name
putc, putchar, fputc, putw \- Puts a character or word on a stream.
.SH Syntax
.B #include <stdio.h>
.PP
.B int putc (c, stream)
.br
.B char c;
.br
.SM
.B FILE\*S \(**stream;
.PP
.B putchar (c)
.PP
.B int fputc (c, stream)
.br
.SM
.B FILE\*S \(**stream;
.PP
.B int putw (w, stream)
.br
.B int w;
.br
.SM
.B FILE\*S \(**stream;
.SH Description
.I Putc\^
appends the character
.I c\^
to the named output
.IR stream .
It returns the character written.
.PP
.IR Putchar ( c )
is defined as
.IR putc ( "c," "stdout )."
.PP
.I Fputc\^
behaves like
.IR putc ,
but is a genuine function rather than a macro;
it may therefore be used as an argument.
.I Fputc\^
runs more slowly than
.IR putc ,
but takes less space per invocation.
.PP
.I Putw\^
appends the word
(i.e., integer)
.I w\^
to the output
.IR stream .
.I Putw\^
neither assumes nor causes special alignment in the file.
.PP
The standard stream
.B stdout\^
is normally buffered if and only if the
output does not refer to a terminal;
this default may be changed by
.IR setbuf (S).
The standard stream
.B stderr\^
is by default unbuffered unconditionally,
but use of
.I freopen\^
(see 
.IR fopen (S))
will cause it to become unbuffered;
.IR setbuf ,
again, will set the state to whatever is desired.
When an output stream is unbuffered information appears on the
destination file or terminal as soon as written;
when it is buffered many characters are saved up and written as a block.
See 
.I fflush 
is
.IR fclose (S).
.SH "See Also"
fclose(S), ferror(S), fopen(S), fread(S), getc(S), printf(S), puts(S)
.SH Diagnostics
These functions return the constant
.SM
EOF
upon error.
Since this is a valid integer,
.IR ferror (S)
should be used to detect
.I putw\^
errors.
.SH Notes
Because 
.I putc\^
is implemented as a macro, the
.I stream\^
argument with side effects is not treated correctly.
