.\" bm# 0000002390
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH RDCHK S
.SH Name
rdchk \- Checks to see if there is data to be read.
.SH Syntax
.B rdchk(fdes);
.br
.B int fdes;
.SH Description
.I Rdchk
checks to see if a process will block if it attempts to read the file
designated by
.I fdes.
.I Rdchk
returns 1 if there is data to be read 
or if it is the end of the file (\s-1EOF\s0).
In this context, the proper sequence of calls using rdchk is:
.sp
.RS
if(rdchk(fildes) > 0) 
.br
	read(fildes, buffer, nbytes);
.RE
.SH "See Also"
read(S)
.SH Diagnostics
.I Rdchk
returns -1 if an error occurs (e.g., \s-1EBADF\s+1), 0 if the process 
will block if it issues a
.I read
and 1 if it is okay to read.
\s-1EBADF\s+1 is returned if a 
.I rdchk 
is done on a semaphore file or if
the file specified doesn't exist.
