.\" bm# 0000002384
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH SDGET S
.SH Name
sdget \- Attachs and detachs a shared data segment.
.SH Syntax
.B #include <sd.h>
.sp 1
.B char *sdget(path, flags, [size, mode])
.br
.B char *path;
.br
.B int flags, mode;
.br
.B long size;
.PP
.B int sdfree(addr);
.br
.B char *addr;
.SH Description
.I Sdget
attachs a shared data segment to the data space of the current process.
The actions performed are controlled by the value of 
.I flags.
.I Flags
values are constructed by OR-ing flags from the following list:
.TP 12
.SM
SD_RDONLY
Attach the segment for reading only.
.TP 12
.SM
SD_WRITE
Attach the segment for both reading and writing.
.TP 12
.SM
SD_CREAT
If the segment named by 
.I path
exists, this flag has no effect.  Otherwise, the segment is created
according to the values of 
.I size
and 
.I mode.
Read and write access to the segment
is granted to other processes based on the permissions
passed in 
.I mode,
and functions the same as those for regular files.  Execute permission
is meaningless.
The segment is initialized to contain all zeroes.
.TP 12
.SM
SD_UNLOCK
If the segment is created because of this call, the segment will
be made so that more than one process can be between sdenter and
sdleave calls. 
.PP
.I Sdfree 
detachs the current process from the shared 
data segment that is attached
at the specified address.
If the current process has done an 
.I sdenter
but not a
.I sdleave
for the specified segment, 
an 
.I sdleave 
will be done before detaching the segment.
.PP
When no process remains attached to the segment, 
the contents of that segment disappear, 
and no process can attach to the segment without creating it
by using the 
.SM SD_CREAT 
flag in 
.I sdget.
.SH "Return Value"
On successful completion, the address at which the segment was attached
is returned.  Otherwise, -1 is returned, and 
.I errno
is set to indicate the error.
.SH Notes
Use of the 
.SM SD_UNLOCK 
flag on systems without hardware support for
shared data may cause severe performance degradation.
.SH "See Also"
sdenter(S),
sdgetv(S)
