.\" bm# 0000002383
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH SDGETV S
.SH Name
sdgetv, sdwaitv \- Synchronizes shared data access.
.SH Syntax
.B #include <sd.h>
.sp 1
.B int sdgetv(addr)
.br
.B int sdwaitv(addr, vnum)
.br
.B char *addr;
.br
.B int vnum;
.br
.SH Description
.I Sdgetv
and 
.I sdwaitv
may be used to synchronize cooperating processes that are using shared
data segments.
The return value of both routines is the version number of the
shared data segment attached to the process at address 
.I addr.
The version number of a segment changes whenever some process does an
.I sdleave
for that segment.
.PP
.I Sdgetv
simply returns the version number of the indicated segment.
.PP
.I Sdwaitv
forces the current process to sleep until the version number for
the indicated segment is no longer equal to
.I vnum.
.SH "Return Value"
Upon successful completion, both 
.I sdgetv 
and
.I sdwaitv
return a positive integer that is the current 
version number for the indicated shared data segment.
Otherwise, a value of -1 is returned, and 
.I errno
is set to indicate the error.
.SH "See Also"
sdenter(S), sdget(S)
