.\" bm# 0000002382
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH SETBUF S
.SH Name
setbuf \- Assigns buffering to a stream.
.SH Syntax
.B #include <stdio.h>
.PP
.B setbuf (stream, buf)
.br
.SM
.B FILE
.B \(**stream;
.br
.B char \(**buf;
.SH Description
.I Setbuf\^
is used after a stream has been opened but before it
is read or written.
It causes the character array
.I buf\^
to be used instead of an automatically allocated buffer.
If
.I buf\^
is the constant pointer
.SM
NULL,
input/output will be completely unbuffered.
.PP
A manifest constant 
.SM
BUFSIZ
tells how big an array is needed:
.PP
.RS
char buf[\s-1BUFSIZ\s0];
.RE
.PP
A buffer is normally obtained from
.IR  malloc (S)
upon the first \fIgetc\fR(S) or
.IR  putc (S)
on the file,
except that output streams directed to terminals,
and the standard error stream
.B stderr\^
are normally not buffered.
.PP
A common source of error is allocation of buffer space
as an ``automatic'' variable in a code block, and then
failing to close the stream in the same block.
.SH "See Also"
fopen(S), getc(S), malloc(S), putc(S)
