.\" bm# 0000002381
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH SETJMP S
.SH Name
setjmp, longjmp \- Performs a nonlocal ``goto''.
.SH Syntax
.B #include <setjmp.h>
.PP
.B int setjmp (env)
.br
.B jmp_buf env;
.PP
.B int longjmp (env, val)
.br
.B jmp_buf env;
.SH Description
These routines are useful for dealing with errors 
and interrupts encountered in
a low-level subroutine of a program.
.PP
.I Setjmp\^
saves its stack environment in
.I env\^
for later use by
.IR longjmp .
It returns value 0.
.PP
.I Longjmp\^
restores the environment saved by the last call of
.IR setjmp .
It then returns in such a way that execution
continues as if the call of 
.I setjmp\^
had just returned the value
.I val\^
to the corresponding call to
.IR setjmp .
The routine which calls 
.I setjmp
must not itself have returned in the interim.
.I Longjmp\^
cannot return the value 0.  If
.I longjmp\^
is invoked with a second argument of 0,
it will return 1.
All accessible data have values as of the time
.I longjmp\^
was called. The only exception to this are register
variables.  The value of register variables are
undefined in the routine that called 
.I setjmp 
when the corresponding 
.I longjmp
is invoked.
.SH "See Also"
signal(S)
