.\" bm# 0000002379
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH SETUID S 
.SH Name
setuid, setgid \- Sets user and group \s-1ID\s+1s.
.SH Syntax
.B int setuid (uid)
.br
.B int uid;
.PP
.B int setgid (gid)
.br
.B int gid;
.SH Description
.I Setuid\^
is used to set the real user
.SM ID
and
effective user
.SM ID
of the calling process.
.PP
.I Setgid\^
is used to set the real group
.SM ID
and
effective group
.SM ID
of the calling process.
.PP
If the effective user
.SM ID
of the calling process is super-user,
the real user (group)
.SM ID
and effective user (group)
.SM ID
are set to
.IR uid " (" gid ).
.PP
If the effective user
.SM ID
of the calling process is not super-user, but its real user (group)
.SM ID
is equal to
.IR uid " (" gid ),
the effective user (group)
.SM ID
is set to
.IR uid " (" gid ).
.PP
.I Setuid\^
will fail if the real user (group)
.SM ID
of the calling process is not equal to
.IR uid " (" gid )
and its effective user
.SM ID
is not super-user.
.SM
\%[EPERM]
.SH "Return Value"
Upon successful completion, a value of 0 is returned.
Otherwise, a value of \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
getuid(S), intro(S)
