.\" bm# 0000002378
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH SHUTDN S
.SH Name
shutdn \- Flushes block I/O and halts the CPU.
.SH Syntax
.B #include <sys/filsys.h>
.PP
.B shutdn (sblk)
.br
.B struct filsys *sblk;
.SH Description
.I Shutdn
causes all information in core
memory that should be on disk to be written out.
This includes modified super-blocks,
modified inodes, and delayed block I/O.
The super-blocks of all writable file systems are flagged `clean', so
that they can be remounted without cleaning when 
.SM XENIX 
is rebooted.
.I Shutdn
then prints ``Normal System Shutdown'' on the console and halts
the CPU.
.PP
If
.I sblk
is nonzero, it specifies the address of a super-block which will be
written to the root device as the last I/O before the halt.
This facility is provided to allow file system repair programs to supercede
the system's copy of the root super-block with one of their own.
.PP
.I Shutdn
locks out all other processes while it is doing its work.
However, it
is recommended that user processes be killed off
(see
.IR kill (S))
before
calling
.I shutdn
as some types of disk activity could cause file systems to not be
flagged ``clean''.
.PP
The caller must be the super-user.
.SH "See Also"
fsck(C),
haltsys(C),
shutdown(C),
mount(S),
kill(S)
