.\" bm# 0000002376
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH SIGSEM S
.SH Name
sigsem \- Signals a process waiting on a semaphore.
.SH Syntax
.B sigsem(sem_num);
.br
.B int sem_num;
.SH Description
.I Sigsem
signals a process that is waiting on the semaphore
.I sem_num
that it may proceed and use the resource governed by the semaphore.
.I Sigsem
is used in conjunction with
.IR waitsem (S)
to allow synchronization of processes wishing to access a resource.
One or more processes may
.I waitsem
on the given semaphore
and will be put to sleep until the process which currently has access
to the resource issues a
.I sigsem
call.
If there are any waiting processes,
.I sigsem
causes the process which is next in line on the semaphore's queue
to be rescheduled for execution.
The semaphore's queue is organized in first in first out (FIFO) order.
.SH "See Also"
creatsem(S), opensem(S), waitsem(S)
.SH Diagnostics
.I Sigsem
returns the value (int) -1 if an error occurs.  If
.I sem_num
does not refer to a semaphore type file,
.I errno 
is set to \s-1ENOTNAM\s0.
If
.I sem_num
has not been previously opened by
.IR opensem ,
.I errno 
is set to \s-1EBADF\s0.
If the process issuing a sigsem call is not the
current ``owner'' of the semaphore (i.e., if the process has not issued
a waitsem call before the sigsem),
.I errno 
is set to \s-1ENAVAIL\s0.
