.\" bm# 0000002371
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH STDIO S
.SH Name
stdio \- Performs standard buffered input and output.
.SH Syntax
.B #include <stdio.h>
.br
.SM
.B FILE
.B \(**stdin, \(**stdout, \(**stderr;
.SH Description
The 
.I stdio 
library contains an efficient, user-level
.SM I/O
buffering scheme.
The in-line macros
.IR getc (S)
and
.IR putc (S)
handle characters quickly.
The macros
.IR getchar ,
.IR putchar ,
and
the higher-level routines
.IR fgetc ,
.IR fgets ,
.IR fprintf ,
.IR fputc ,
.IR fputs ,
.IR fread ,
.IR fscanf ,
.IR fwrite ,
.IR gets ,
.IR getw ,
.IR printf ,
.IR puts ,
.IR putw ,
and
.I scanf\^
all use
.I getc\^
and
.IR putc ;
they can be freely intermixed.
.PP
A file with associated buffering is called a ``stream''
and is declared to be a pointer to a defined type
.SM
FILE\*S .
.IR Fopen (S)
creates certain descriptive data for a stream
and returns a pointer to designate the stream in all
further transactions.
Normally, there are three open streams with constant
pointers declared in
the ``include'' file and associated with the standard open files:
.RS
.PP
.PD 0
.TP 10
.B stdin
Standard input file
.TP
.B stdout
Standard output file
.TP
.B stderr
Standard error file
.RE
.PD
.PP
A constant ``pointer''
.SM
NULL
designates the null stream.
.PP
An integer constant
.SM
EOF
is returned
upon end-of-file or error 
by most integer functions that deal with streams
(see the individual descriptions for details).
.PP
Any program that uses this package
must include the header file of pertinent macro definitions,
as follows:
.PP
.RS
#include \|<stdio.h>
.RE
.PP
Most of the functions and constants mentioned 
in this section of the manual
are declared in that ``include'' file
and are described elsewhere.
The constants and the following ``functions'' are
implemented as macros (redeclaration of these names
is perilous):
.IR getc ,
.IR getchar ,
.IR putc ,
.IR putchar ,
.IR feof ,
.IR ferror ,
and
.IR fileno .
.br
.ne 2i
.SH "See Also"
open(S), close(S), read(S), write(S),
ctermid(S), cuserid(S), fclose(S), ferror(S), fopen(S), fread(S),
fseek(S), getc(S), gets(S), popen(S), printf(S), putc(S), puts(S),
scanf(S), setbuf(S), system(S), tmpnam(S)
.SH Diagnostics
Invalid stream pointers can cause grave disorder, 
possibly including program termination.
Individual function descriptions 
describe the possible error conditions.
