.\" bm# 0000002364
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH TIME S 
.SH Name
time, ftime \- Gets time and date.
.SH Syntax
.B time_t time ((long \(**) 0)
.PP
.B time_t time (tloc)
.br
.B time_t \(**tloc;
.sp
.B #include <sys/types.h>
.br
.B #include <sys/timeb.h>
.PP
.B ftime(tp)
.br
.B struct timeb *tp;
.SH Description
.I Time\^
returns the current system time in seconds 
since 00:00:00 \s-1GMT\s0, January 1, 1970.
.PP
If
.I tloc\^
(taken as an integer) is nonzero, 
the return value is also stored in the
location to which
.I tloc\^
points.
.PP
.I Ftime\^
returns the time in a structure (see below under
.IR "Return Value" .)
.PP
.I Time\^
will fail if
.I tloc\^
points to an illegal address.
.SM
\%[EFAULT]
Likewise,
.I ftime
will fail if
.I tp\^
points to an illegal address.
.SM
\%[EFAULT]
.SH "Return Value"
Upon successful completion,
.I time\^
returns the value of time.
Otherwise, a value of \-1 is returned and
.I errno\^
is set to indicate the error.
.PP
The
.I ftime
entry fills in a structure pointed to by its argument,
as defined by
.BR <sys/timeb.h> :
.PP
.nf
'\"	.ta .5i +\w'unsigned 'u
/*
 * Structure returned by ftime system call
 */
struct timeb {
        time_t  time;
        unsigned short millitm;
        short   timezone;
        short   dstflag;
};
.fi
.PP
The structure contains the time since the epoch in seconds,
up to 1000 milliseconds of more-precise interval,
the local time zone 
(measured in minutes of time westward from Greenwich),
and a flag that, 
if nonzero, indicates that
Daylight Saving time applies locally during 
the appropriate part of the year.
.SH "See Also"
date(C), stime(S), ctime(S)
