.\" bm# 0000002363
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH TIMES S 
.SH Name
times \- Gets process and child process times.
.SH Syntax
.B #include <times.h>
.PP
.B long times (buffer)
.br
.B struct tmbuf {
.br
.B "\0	long utime;"
.br
.B "\0	long stime;"
.br
.B "\0	long cutime;"
.br
.B "\0	long cstime;"
.br
.B } buffer;
.SH Description
.I Times\^
fills the structure pointed to by
.I buffer\^
with time-accounting information.
This information comes from the calling process
and each of its terminated child processes for which it has executed a
.IR wait (S).
.PP
All times are in clock ticks where a tick is some fraction
of a second defined in 
.IR machine\^ (M).
.PP
.I Utime\^
is the
.SM CPU
time used while executing instructions in the user space of the
calling process.
.PP
.I Stime\^
is the
.SM CPU
time used by the system on behalf of the calling process.
.PP
.I Cutime\^
is the sum of the
.IR "utime"s
and
.IR "cutime"s
of the child processes.
.PP
.I Cstime\^
is the sum of the
.IR "stime"s
and
.IR "cstime"s 
of the child processes.
.PP
.I Times\^
will fail if
.I buffer\^
points to an illegal address.
.SM
\%[EFAULT]
.SH "Return Value"
Upon successful completion,
.I times\^
returns the elapsed real time, in clock ticks,
since an arbitrary point in the past, such
as the system start-up time.
This point does not change from one invocation of
.I times\^
to another.
If
.I times\^
fails, a \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
exec(S), fork(S), time(S), wait(S), machine(M)
