.\" bm# 0000002361
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH TMPNAM S 
.SH Name
tmpnam \- Creates a name for a temporary file.
.SH Syntax
.B #include <stdio.h>
.sp
.B char \(**tmpnam (s)
.br
.B char \(**s;
.SH Description
.I Tmpnam\^
generates a filename that can safely be used for
a temporary file.
If
.RI (int) s
is zero,
.I tmpnam\^
leaves its result in an internal static area and returns a pointer
to that area.
The next call to
.I tmpnam\^
will destroy the contents of the area.
If
.RI (int) s
is nonzero,
.I s\^
is assumed to be the address of an array of at least
.B L_tmpnam
bytes;
.I tmpnam\^
places its result in that array and returns
.I s\^
as its value.
.P
.I Tmpnam\^
generates a different filename each time it is called.
.P
Files created using
.I tmpnam\^
and either
.I fopen\^
or
.I creat\^
are only temporary in the sense that they reside in a directory
intended for temporary use, and their names are unique.
It is the user's responsibility to use
.IR unlink\^ (S)
to remove the file when its use is ended.
.SH "See Also"
creat(S), unlink(S), fopen(S), mktemp(S)
.SH Notes
If called more than 17,576 times in a single process,
.I tmpnam\^
will start recycling previously used names.
.P
Between the time a filename is created and the file is opened, it
is possible for some other process to create a file with the same name.
This can never happen if that other process is using
.I tmpnam\^
or
.IR mktemp ,
and the filenames are chosen so as to render duplication by other
means unlikely.
