.\" bm# 0000002360
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH TRIG S 
.SH Name
sin, cos, tan, asin, acos, atan, atan2 \- Performs trigonometric functions.
.SH Syntax
.B #include <math.h>
.PP
.B double sin (x)
.br
.B double x;
.PP
.B double cos (x)
.br
.B double x;
.PP
.B double asin (x)
.br
.B double x;
.PP
.B double acos (x)
.br
.B double x;
.PP
.B double atan (x)
.br
.B double x;
.PP
.B double atan2 (y, x)
.br
.B double x, y;
.SH Description
.IR Sin ,
.I cos
and
.I tan\^
return trigonometric functions of radian arguments.
The magnitude of the argument should be checked
by the caller to make sure the result is meaningful.
.PP
.I Asin\^
returns the arc sin in the range \-\(*p/2 to \(*p/2.
.PP
.I Acos\^
returns the arc cosine in the range
0 to \(*p.
.PP
.I Atan\^
returns the arc tangent of
.I x\^
in the range \-\(*p/2 to \(*p/2.
.PP
.I Atan2\^
returns the arc tangent of
.IR y / x\^
in the range \-\(*p to \(*p.
.SH Diagnostics
Arguments of magnitude greater than 1
cause
.I asin\^
and
.I acos\^
to return value 0.
.SH Notes
These routines can be linked with the linker option
.RB \-l m.
