.\" bm# 0000002358
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH ULIMIT S
.SH Name
ulimit \- Gets and sets user limits.
.SH Syntax
.B #include <sys/ulimit.h>
.br
.B long ulimit (cmd, newlimit)
.br
.B int cmd;
.br
.B long newlimit;
.SH Description
This function provides for control over process limits.
The
.I cmd\^
values
available are:
.TP 5
.SM
UL_GFILLIM
.br
Gets the process' file size limit.
The limit is in units of 512-byte blocks
and is inherited by child processes.
Files of any size can be read.
.TP 5
.SM
UL_SFILLIM
.br
Sets the process' file size limit to
the value of
.IR newlimit .
Any process may decrease this limit,
but only a process with an effective user
.SM ID
of super-user may increase the limit.
.I Ulimit\^
will fail and the limit will be unchanged if a process with an effective user
.SM ID
other than
super-user attempts to increase its file size limit.
.SM
\%[EPERM]
.TP 5
.SM
UL_GMEMLIM
.br
Gets the maximum possible break value.  If the
process is a large model 80286 program, then 
the largest possible data size (in bytes) is
returned.  See
.IR sbrk (S).
.TP 5
.SM
UL_GTXTSIZ
.br
Get the size of text in bytes.  If the process is
impure (mixed text and data), then the size of the
text will be returned as 0.
.TP 5
.SM
UL_GDATSIZ
.br
Get the size of data in bytes.  The size returned
includes the size of the stack.  If the process i
simpure, then the size returned represents the size
of the whole process, both text and data combined.
.SH "Return Value"
Upon successful completion, a nonnegative value is returned.
Otherwise, a value of \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
sbrk(S), chsize(S), write(S)
.SH "Notes"
The file limit is only enforced on writes to regular
files. Tapes, disks, and other devices of any size
can be written.
