.\" bm# 0000002356
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH UMOUNT S
.SH Name
umount \- Unmounts a file system.
.SH Syntax
.B int umount (spec)
.br
.B char \(**spec;
.SH Description
.I Umount\^
requests that a previously mounted file system contained on the
block special device identified by
.I spec\^
be unmounted.
.I Spec\^
is a pointer to a pathname.
After unmounting the file system,
the directory upon which the 
file system was mounted reverts to its ordinary interpretation.
.PP
.I Umount\^
may be invoked only by the super-user.
.PP
.I Umount\^
will fail if one or more of the following are true:
.IP
The process' effective user
.SM ID
is not super-user.
.SM
\%[EPERM]
.IP
.I Spec\^
does not exist.
.SM
\%[ENXIO]
.IP
.I Spec\^
is not a block special device.
.SM
\%[ENOTBLK]
.IP
.I Spec\^
is not mounted.
.SM
\%[EINVAL]
.IP
A file on
.I spec\^
is busy.
.SM
\%[EBUSY]
.IP
.I Spec\^
points outside the process' allocated address space.
.SM
\%[EFAULT]
.SH "Return Value"
Upon successful completion a value of 0 is returned.
Otherwise, a value of \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
mount(C), mount(S)
