.\" bm# 0000002355
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH UNAME S
.SH Name
uname \- Gets name of current \s-1XENIX\s0 system.
.SH Syntax
.B #include <sys/utsname.h>
.PP
.B int uname (name)
.br
.B struct utsname \(**name;
.SH Description
.I Uname\^
stores information identifying the current
.SM XENIX
system in the structure pointed to by
.IR name .
.PP
.I Uname\^
uses the structure
defined in \f3<sys/utsname.h>\fP:
.PP
.RS
.nf
struct utsname {
	char	sysname[9];
	char	nodename[9];
	char	release[9];
	char	version[9];
	unsigned short	sysorigin;
	unsigned short	sysoem;
	long	sysserial;
};
.fi
.RE
.PP
.I Uname\^
returns
a null-terminated character string naming the current
.SM XENIX
system in the character array
.IR sysname .
Similarly,
.I nodename\^
contains the name that the system is known by on a communications
network.
.I Release\^
and
.I version\^
further identify the operating system.
.I Sysorigin\^
and
.I syseom\^
identify the source of the 
.SM XENIX
version.
.I Sysserial\^
is a software serial number which may be zero if unused.
.PP
.I Uname\^
will fail if
.I name\^
points to an invalid address.
.SM
\%[EFAULT]
.SH "Return Value"
Upon successful completion, a nonnegative value is returned.
Otherwise, \-1 is returned and
.I errno\^
is set to indicate the error.
.br
.ne 2i
.SH "See Also"
uname(C)
.SH "Notes"
Not all fields may be set on a particular system.
