.\" bm# 0000002354
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH UNGETC S 
.SH Name
ungetc \- Pushes character back into input stream.
.SH Syntax
.B #include <stdio.h>
.PP
.B int ungetc (c, stream)
.br
.B char c;
.br
.SM
.B FILE
.B \(**stream;
.SH Description
.I Ungetc\^
pushes the character
.I c\^
back on an input stream.
The character will be returned by the next
.I getc\^
call on that stream.
.I Ungetc\^
returns 
.IR c .
.PP
One character of pushback is guaranteed provided
something has been read from the stream and the stream is
actually buffered.
Attempts to push
.SM EOF
are rejected.
.PP
.IR Fseek (S)
erases all memory of pushed back characters.
.SH "See Also"
fseek(S), getc(S), setbuf(S)
.SH Diagnostics
.I Ungetc\^
returns
.SM
EOF
if it can't push a character back.
