.\" bm# 0000002349
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH WAITSEM S
.SH Name
waitsem, nbwaitsem \- Awaits and checks access to a resource governed by a semaphore.
.SH Syntax
.B waitsem(sem_num);
.br
.B int sem_num;
.sp
.B nbwaitsem(sem_num);
.br
.B int sem_num;
.SH Description
.I Waitsem
gives the calling process 
access to the resource governed by the semaphore
.I sem_num.
If the resource is in use by another process,
.I waitsem
will put the process to sleep until the resource becomes available;
.I nbwaitsem
will return the error 
.SM ENAVAIL.
.I Waitsem
and
.I nbwaitsem
are used in conjunction with
.I sigsem
to allow synchronization of processes wishing to access a resource.
One or more processes may
.IR waitsem
on the given semaphore
and will be put to sleep until the process which currently has access
to the resource issues
.IR sigsem.
.I Sigsem
causes the process which is next in line on the semaphore's queue to be
rescheduled for execution.
The semaphore's queue is organized in first in first out (FIFO) order.
.SH "See Also"
creatsem(S), opensem(S), sigsem(S)
.SH Diagnostics
.I Waitsem
returns the value (int) -1 if an error occurs.  If
.I sem_num
has not been previously opened by a call to
.I opensem
or
.IR creatsem ,
.I errno 
is set to \s-1EBADF\s0.
If
.I sem_num
does not refer to a semaphore type file,
.I errno 
is set to \s-1ENOTNAM\s0.
All processes waiting (or attempting to wait) on the
semaphore when the process controlling the semaphore exits without
relinquishing control (thereby leaving the resource 
in an undeterminate state) return with 
.I errno 
set to 
.SM ENAVAIL.
