.\" bm# 0000002347
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH XLIST S 
.SH Name
xlist, fxlist \- Gets name list entries from files.
.SH Syntax
.B #include <a.out.h>
.br
.B xlist(filename, xl)
.br
.B char *filename;
.DT
.nf
.ft 3
struct xlist xl[ ];
.fi
.PP
.B #include <a.out.h>
.br
.B #include <stdio.h>
.br
.B fxlist(fp, xl)
.br
.B FILE *fp;
.DT
.nf
.ft 3
struct xlist xl[ ];
.fi
.SH Description
.I Fxlist
performs the same function as
.IR xlist ,
except that
.I fxlist
accepts a pointer to a previously opened file intead of a filename.
.PP
.I Xlist 
examines the name list in the given executable
output file and selectively extracts a list of values.
The name list structure 
.I xl
consists of an array of 
.I xlist 
structures containing names, types, values, and segment
values (if applicable).  
The list is terminated by either a pointer to a null name
or a null pointer.
Each name is looked up in the name list of the file.  
If the name is found, 
the type and value of the name are inserted
into the next two fields.  
The segment value (if it exists) is inserted in the
third field.
If the name is not found, both entries are set to zero. 
See 
.IR a.out (F) 
for a discussion of the xlist structure.
.PP
X.out and a.out formats are understood, as well as
8086 relocatable and x.out segmented formats.
.PP
If the symbol table is in a.out format,
and if the symbol name given to
.I xlist
is longer than eight characters,
only the first eight characters are used for comparison.
In all other cases, the name given to 
.I xlist
must be the same length as a name list entry in order to match.
.PP
If two or more symbols happen to match the name given to 
.I xlist, 
then the type and value used will be
those of the last symbol found.
.SH "See Also"
a.out(F)
.SH Diagnostics
.I Xlist 
returns -1 and sets all type entries to zero
if the file cannot be read, is not an object file,
or contains an invalid name list.  
Otherwise,
.I xlist
returns zero.
A return value of zero does 
.I not
indicate that any or all of the given symbols were found.
